<?php
/**
 * Magazine Palace Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage Magazine Palace Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function magazine_palace_pro_custom_colors_css() {
  	$options= magazine_palace_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '

	/*--------------------------------------------------------------
	## Background Color
	--------------------------------------------------------------*/
	.backtotop,
	.slick-prev:hover, 
	.slick-next:hover, 
	.slick-prev:focus, 
	.slick-next:focus,
	.pagination .page-numbers.current, 
	.pagination .page-numbers:hover, 
	.pagination .page-numbers:focus,
	.reply a,
	input[type="submit"],
	.btn,
	.separator,
	.jetpack_subscription_widget input[type="submit"],
	.jetpack_subscription_widget button[type="submit"],
	.menu-toggle:hover, 
	.menu-toggle:focus,
	#subscribe-submit button[type="submit"],
	#magazine_pro_breaking_news_section .news-title,
	.section-title, 
	.widget-title, 
	.widgettitle,
	.post-categories a, 
	#secondary .post-categories a,
	.video-button a,
	.widget_trending_post .entry-container span,
	.widget_sidebar_filter ul li.active:after,
	#magazine_pro_popular_tag h2,
	#latest-post article .btn:hover, 
	#latest-post article .btn:focus,
	#magazine_palace_pro_tag_section h2,
	#magazine_palace_pro_breakingnews_section .news-title,
	#magazine_palace_pro_latest_post_section article .btn:hover, 
	#magazine_palace_pro_instagram_section #sb_instagram .sbi_follow_btn a,
	#magazine_palace_pro_latest_post_section article .btn:focus,
	#magazine_palace_pro_instagram_section .instagram-button a:hover, 
	#magazine_palace_pro_instagram_section .instagram-button a:focus {
	    background-color: '. esc_attr( $color_value ) .';
	}

	/*--------------------------------------------------------------
	## Text Color
	--------------------------------------------------------------*/
	a,
	button:hover,
	input[type="button"]:hover,
	input[type="reset"]:hover,
	button:focus,
	input[type="button"]:focus,
	input[type="reset"]:focus,
	button:active,
	input[type="button"]:active,
	input[type="reset"]:active,
	.site-title a:hover,
	.site-title a:focus,
	a:hover, 
	a:focus, 
	#secondary a:hover,
	#secondary a:focus,
	.comment-meta .url:hover,
	.comment-meta .url:focus,
	.comment-metadata a:hover time,
	.comment-metadata a:focus time,
	.single-wrapper .entry-meta span a:hover, 
	.single-wrapper .entry-meta span a:focus,
	.single-wrapper .cat-links a,
	.single-wrapper .entry-meta span.byline a.fn:hover,
	.single-wrapper .entry-meta span.byline a.fn:focus,
	.single-wrapper .entry-meta > span a:hover,
	.single-wrapper .entry-meta > span a:focus,
	.section-title a:hover, 
	.section-title a:focus,
	#colophon .cat-links a,
	.byline a:hover, 
	.byline a:focus,
	.posted-on a:hover, 
	.posted-on a:focus,
	.site-info a,
	.contact-info a:hover, 
	.contact-info a:focus,
	.widget_posts_slider .post-categories a:hover, 
	.widget_posts_slider .post-categories a:focus,
	#colophon ul li a:hover, 
	#colophon ul li a:focus,
	#colophon .site-info a:hover, 
	#colophon .site-info a:focus,
	#colophon ul li .posted-on a:hover, 
	#colophon ul li .posted-on a:focus,
	#secondary .posted-on a:hover, 
	#secondary .posted-on a:focus,
	#secondary .widget_editors_pick .entry-title a:hover, 
	#secondary .widget_editors_pick .entry-title a:focus, 
	#secondary .widget_editors_pick .posted-on a:hover, 
	#secondary .widget_editors_pick .posted-on a:focus,
	#slider-news .slider-news-slider .entry-title a:hover,
	#slider-news .slider-news-slider .entry-title a:focus,
	#slider-news .slider-news-slider .posted-on a:hover,
	#slider-news .slider-news-slider .posted-on a:focus,
	#post-slider .post-slider-wrapper .entry-title a:hover,
	#post-slider .post-slider-wrapper .entry-title a:focus,
	#post-slider .post-slider-wrapper .posted-on a:hover,
	#post-slider .post-slider-wrapper .posted-on a:focus,
	#magazine_palace_pro_slider_news_section .magazine_palace_pro_slider_news_section-slider .entry-title a:focus,
	#magazine_palace_pro_slider_news_section .magazine_palace_pro_slider_news_section-slider .entry-title a:hover,
	#magazine_palace_pro_banner_post_section .post-express-wrapper .entry-title a:focus,
	#magazine_palace_pro_banner_post_section .post-express-wrapper .entry-title a:hover,
	#magazine_palace_pro_sport_post_section .grid article:nth-child(1) .entry-title a:focus,
	#magazine_palace_pro_sport_post_section .grid article:nth-child(1) .entry-title a:hover,
	#magazine_palace_pro_featured_slider_section .magazine_palace_pro_featured_slider_section-wrapper .entry-title a:focus,
	#magazine_palace_pro_featured_slider_section .magazine_palace_pro_featured_slider_section-wrapper .entry-title a:hover,
	#magazine_palace_pro_featured_category_section .entry-title a:hover, 
	#magazine_palace_pro_featured_category_section .entry-title a:focus,
	#magazine_palace_pro_main_slider_section .entry-title a:focus,
	#magazine_palace_pro_main_slider_section .entry-title a:hover,
	#magazine_pro_editors_choice_section .entry-title a:hover,
	#magazine_pro_editors_choice_section .entry-title a:focus,
	#magazine_pro_editors_choice_section .posted-on a:hover,
	#magazine_pro_editors_choice_section .posted-on a:focus,
	#post-express-grid .post-express-wrapper .entry-title a:hover,
	#post-express-grid .post-express-wrapper .entry-title a:focus,
	#post-express-grid .post-express-wrapper .posted-on a:hover,
	#post-express-grid .post-express-wrapper .posted-on a:focus,
	#post-express-list .grid article:nth-child(1) .entry-title a:hover,
	#post-express-list .grid article:nth-child(1) .entry-title a:focus,
	#post-express-list .grid article:nth-child(1) .posted-on a:hover,
	#post-express-list .grid article:nth-child(1) .posted-on a:focus,
	.dark-version #colophon .site-info a:hover, 
	.dark-version #colophon .site-info a:focus,
	#magazine_pro_popular_tag ul li a:hover, 
	#magazine_pro_popular_tag ul li a:focus,
	.breaking-news-wrapper:hover .entry-title a,
	.dark-version #magazine_pro_popular_tag ul li a:hover, 
	.dark-version #magazine_pro_popular_tag ul li a:focus,
	.dark-version #colophon ul li .posted-on a:hover, 
	.dark-version #colophon ul li .posted-on a:focus,
	#magazine_pro_full_width_post .entry-title a:hover, 
	#magazine_pro_full_width_post .entry-title a:focus,
	#magazine_pro_recent_post_section .entry-title a:hover, 
	#magazine_pro_recent_post_section .entry-title a:focus,
	#magazine_palace_pro_instagram_section .instagram-button a,
	.dark-version .navigation.post-navigation a:hover, 
	.dark-version .navigation.post-navigation a:focus,
	.dark-version .comment-meta .url:hover, 
	.dark-version .comment-meta .url:focus, 
	#magazine_palace_pro_tag_section ul li a:hover, 
	#magazine_palace_pro_tag_section ul li a:focus,
	.single #primary .catlist .post-categories a:hover, 
	.single #primary .catlist .post-categories a:focus
	.dark-version .comment-metadata a:hover time, 
	.dark-version .comment-metadata a:focus time {
	    color: '. esc_attr( $color_value ) .';
	}   

	.dark-version .byline a:hover,
	.dark-version .byline a:focus,
	.main-navigation a:hover, 
	.main-navigation a:focus, 
	.main-navigation ul.nav-menu > li > a:hover, 
	.main-navigation ul.nav-menu > li > a:focus,
	.navigation.post-navigation a:hover,
	.navigation.posts-navigation a:hover,
	.navigation.post-navigation a:focus,
	.navigation.posts-navigation a:focus,
	.main-navigation ul.nav-menu li.current-menu-item > a, 
	.main-navigation ul.nav-menu li:hover > a,
	.post-wrapper .entry-meta ul.post-categories li a:hover, 
	.post-wrapper .entry-meta ul.post-categories li a:focus,
	.entry-title a:hover,
	.entry-title a:focus,
	#secondary a:hover, 
	#secondary a:focus,
	.posted-on a:hover, 
	.posted-on a:focus{
	    color: '. esc_attr( $color_value ) .' !important;
	}



	/*--------------------------------------------------------------
	## Border Color
	--------------------------------------------------------------*/
	.slick-prev:hover, 
	.slick-next:hover, 
	.slick-prev:focus, 
	.slick-next:focus,
	button, 
	input[type="button"], 
	input[type="reset"], 
	input[type="submit"],
	.section-title,
	.pagination .page-numbers.current, 
	.pagination .page-numbers:hover, 
	.pagination .page-numbers:focus,
	.menu-toggle:hover, 
	.menu-toggle:focus,
	.help-wrapper .progress,
	#latest-post article .btn:hover, 
	#latest-post article .btn:focus,
	#magazine_palace_pro_latest_post_section article .btn:hover, 
	#magazine_palace_pro_latest_post_section article .btn:focus,
	#magazine_pro_subscribe_now_section button[type="submit"] {
	    border-color: '. esc_attr( $color_value ) .';
	}

	/*--------------------------------------------------------------
	## Svg Color
	--------------------------------------------------------------*/
	.main-navigation ul#primary-menu li:hover > svg,
	.main-navigation ul#primary-menu li:focus > svg,
	.main-navigation li.menu-item-has-children:hover > a > svg,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation li.menu-item-has-children > a:focus > svg,
	.main-navigation ul#primary-menu > li.current-menu-item > a > svg,
	.main-navigation li.search-menu a:hover svg,
	.main-navigation li.search-menu a.search-active:hover svg,
	.main-navigation ul#primary-menu li.search-menu:hover > a.search-active svg,
	.navigation.post-navigation a:hover svg,
	.navigation.posts-navigation a:hover svg,
	.navigation.post-navigation a:focus svg,
	.navigation.posts-navigation a:focus svg,
	.loader-container svg,
	.contact-info svg,
	.main-navigation ul.nav-menu > li.home-icon > a > svg,
	#colophon .jetpack_subscription_widget #subscribe-submit svg,
	.main-navigation ul.nav-menu > li > a.search:hover svg.icon-search, 
	.main-navigation ul.nav-menu > li > a.search:focus svg.icon-search, 
	.main-navigation li.search-menu a:hover svg, 
	.main-navigation li.search-menu a:focus svg, 
	.main-navigation li.search-menu a.search-active svg,
	.dark-version .navigation.post-navigation a:hover svg, 
	.dark-version .navigation.post-navigation a:focus svg {
	    fill: '. esc_attr( $color_value ) .';
	}

	#magazine_palace_pro_tag_section h2:after {
	    border-left: 12px solid '. esc_attr( $color_value ) .';
	}

	#magazine_pro_popular_tag h2:after {
	    border-left-color: '. esc_attr( $color_value ) .';
	}

	/*--------------------------------------------------------------
	## Blue Color
	--------------------------------------------------------------*/
	@media screen and (min-width: 1025px) {
	    .main-navigation ul.nav-menu > li:hover > a > svg, 
	    .main-navigation ul.nav-menu > li.current-menu-item > a > svg,
	    .main-navigation ul ul li.menu-item-has-children:hover > a > svg, 
	    .main-navigation ul ul li.menu-item-has-children > a:hover > svg {
	        fill: '. esc_attr( $color_value ) .';
	    }
	    #top-navigation .main-navigation ul.nav-menu > li.current-menu-item > a, 
	    #top-navigation .main-navigation ul.nav-menu > li > a:hover, 
	    #top-navigation .main-navigation ul.nav-menu > li:hover > a, 
	    #top-navigation .main-navigation a:hover, 
	    #top-navigation .main-navigation a:focus {
	        color: '. esc_attr( $color_value ) .';
	    }
	    .main-navigation ul ul li.menu-item-has-children:hover > a > svg, 
	    .main-navigation ul ul li.menu-item-has-children > a:hover > svg {
	        fill: #fff;
	    }
	    .main-navigation ul.sub-menu li:hover > a, .main-navigation ul.sub-menu li:focus > a {
	        background-color: #000;
	        color: #fff;
	    }
	}

	/*--------------------------------------------------------------
	## Preloader
	--------------------------------------------------------------*/

	@keyframes preloader {
	    0% {height:5px;transform:translateY(0px);background: '. esc_attr( $color_value ) .';}
	    25% {height:30px;transform:translateY(15px);background: '. esc_attr( $color_value ) .';}
	    50% {height:5px;transform:translateY(0px);background: '. esc_attr( $color_value ) .';}
	    100% {height:5px;transform:translateY(0px);background: '. esc_attr( $color_value ) .';}
	}
	';

	/**
	 * Filters Magazine Palace Pro custom colors CSS.
	 *
	 * @since Magazine Palace Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'magazine_palace_pro_custom_colors_css', $css );
}
