<?php


function magazine_palace_pro_style( $args = array() ) {
		$options = magazine_palace_pro_get_theme_options();
	?>

		<style type="text/css">

			<?php if ( !empty($options['theme_head_typography']) ): ?>
				h1, h2, h3, h4, h5, h6 {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_head_typography'])) ?>', sans-serif !important;
				}
			<?php endif ?>
			<?php if ( !empty($options['theme_body_typography']) ): ?>
				body {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_body_typography'])) ?>', sans-serif !important;
				}
			<?php endif ?>
			<?php if ( !empty($options['theme_site_title_typography']) ): ?>
				.site-title a {
				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_site_title_typography'])) ?>', sans-serif !important;
				}
			<?php endif ?>
			<?php if ( !empty($options['theme_site_description_typography']) ): ?>
				.site-description {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_site_description_typography'])) ?>', sans-serif !important;
				}
			<?php endif ?>
			<?php if ( !empty($options['theme_menu_typography']) ): ?>
				.menu-item a {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_menu_typography'])) ?>', sans-serif !important;
				}
			<?php endif ?>
			<?php if ( !empty($options['theme_btn_label_typography']) ): ?>
				.btn,
				.more-link a
				 {

				    font-family: '<?php echo esc_attr( str_replace("+", " ",  $options['theme_btn_label_typography'])) ?>', sans-serif !important;
				}
			<?php endif ?>

			/*Topbar style*/
			<?php if ( !empty( $options['topbar_bg_color'] ) ): ?>
				@media screen and (min-width: 1025px){
					#top-navigation.topbar-two,
					#top-navigation {
					    background-color: <?php echo esc_attr( $options['topbar_bg_color'] ); ?>;
					}
				}
				@media screen and (max-width: 1024px){
					#top-navigation.topbar-two,
					#top-navigation .menu-toggle{
					    background-color: <?php echo esc_attr( $options['topbar_bg_color'] ); ?>;
					}
				}

			<?php endif ?>

			<?php if ( !empty( $options['topbar_text_color'] ) ): ?>
				@media screen and (min-width: 1025px){
					#top-navigation .main-navigation ul.nav-menu > li > a {
    					color: <?php echo esc_attr( $options['topbar_text_color'] ); ?>;
					}
				}
				#top-navigation time{
					color: <?php echo esc_attr( $options['topbar_text_color'] ); ?>;
				}

			<?php endif ?>

			<?php if ( !empty( $options['topbar_separator_color'] ) ): ?>
				@media screen and (min-width: 1025px){
					#top-navigation .main-navigation .nav-menu > li:not(:first-child):after {
						background-color: <?php echo esc_attr( $options['topbar_separator_color'] ); ?>;
					}
				}

			<?php endif ?>

			<?php if ( !empty( $options['topbar_date_icon_enable'] ) ): ?>
				.topbar-two time:before {
					display: none;
				}
			<?php endif ?>

			<?php if ( !empty( $options['topbar_btn_color'] ) ): ?>
				#top-navigation .live-button .btn{
					background-color: <?php echo esc_attr( $options['topbar_btn_color'] ); ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['topbar_btn_text_color'] ) ): ?>
				#top-navigation .live-button .btn{
					color: <?php echo esc_attr( $options['topbar_btn_text_color'] ); ?>;
				}
			<?php endif ?>

			<?php if ( $options['topbar_section_wrapper_enable'] ): ?>
				#top-navigation .wrapper{
					width: 96%;
				}
			<?php endif ?>
			/*end topbar style*/

			/*header style*/
			<?php if ( !empty( $options['header_overlay_color'] ) ): ?>
				.header-one .header-overlay{
					background-color: <?php echo esc_attr( $options['header_overlay_color'] ); ?>;
					position: absolute;
					top: 0;
				    left: 0;
				    height: 100%;
				    width: 100%;
				    opacity: 0.3;
				}
			<?php endif ?>
			<?php if ( $options['transparent_menu'] ): ?>
				#masthead.header-three {
				    position: absolute;
				    background-color: transparent;
				}
				<?php if ( $options['topbar_section_enable'] ): ?>
					@media screen and (min-width: 1025px){
						#masthead.header-three {
							top: 40px;
						}
					}
					@media screen and (max-width: 1024px){
						#masthead.header-three {
							top: 70px;
						}
					}
				<?php endif ?>
				

			<?php endif ?>
			<?php if ( !empty( $options['header_nav_bg_color'] ) ): ?>
				@media screen and (min-width: 1025px){
					#masthead.header-two,
					.header-one #site-navigation.main-navigation{
						background-color: <?php echo esc_attr( $options['header_nav_bg_color'] ); ?>;
					}
						
				}	
				#masthead .menu-toggle{
				    background-color: <?php echo esc_attr( $options['header_nav_bg_color'] ); ?>;
				}			
			<?php endif ?>
			<?php if ( !empty( $options['header_icon_color'] ) ): ?>
				.main-navigation ul.nav-menu > li.home-icon > a > svg{
					fill: <?php echo esc_attr( $options['header_icon_color'] ); ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['header_icon_color'] ) ): ?>
				.main-navigation ul.nav-menu > li.home-icon > a > svg{
					fill: <?php echo esc_attr( $options['header_icon_color'] ); ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['header_text_color'] ) ): ?>
				@media screen and (min-width: 1025px){
					.main-navigation form.search-form ::-webkit-input-placeholder,
					.main-navigation a, .main-navigation ul.nav-menu > li > a {
					    color: <?php echo esc_attr( $options['header_text_color'] ); ?>;
					}
					.search-menu svg.icon-search,
					.main-navigation .nav-menu > li > a > svg.icon-down,
					.main-navigation form.search-form svg.icon-search{
						fill: <?php echo esc_attr( $options['header_text_color'] ); ?>;
					}
				}

			<?php endif ?>
			<?php if ( !empty( $options['header_search_bg'] ) ): ?>
				@media screen and (min-width: 1025px){
					.header-one .main-navigation form.search-form input {
					    background-color: <?php echo esc_attr( $options['header_search_bg'] ); ?>;
					}
				}

			<?php endif ?>
			<?php if ( !empty( $options['header_bg_image'] ) ): ?>
				.header-one .header-image {
				    background-image: url( '<?php echo esc_url( $options['header_bg_image'] ); ?>' );
				    background-repeat: no-repeat;
					background-size: cover;
					background-position: center center;
				}

			<?php endif ?>
			<?php if ( !$options['header_bg_image'] ): ?>
				@media screen and (min-width: 1025px){
					.home-icon {
					    display: none;
					}
				}

			<?php endif ?>
			<?php if ( !$options['header_search_enable'] ): ?>
				@media screen and (min-width: 1025px){

					.header-two .main-navigation ul.nav-menu{
						text-align: right;
					}
				}

			<?php endif ?>

			<?php if ( !empty( $options['header_padding'] ) ): ?>
				@media screen and (min-width: 1025px){
					.header-one .header-image{
						padding: <?php echo esc_attr( $options['header_padding'] ) ?>px 0px;
					}
				}

			<?php endif ?>

			<?php if ( !empty( $options['header_margin_button'] ) ): ?>
				#masthead{
					margin-bottom: <?php echo esc_attr( $options['header_margin_button'] ) ?>px;
				}

			<?php endif ?>

			<?php if ( ( !empty( $options['header_ads_image_1'] ) && empty( $options['header_ads_image_2'] ) ) || ( empty( $options['header_ads_image_1'] ) && !empty( $options['header_ads_image_2'] ) ) ): ?>
				@media screen and (min-width: 767px){
					.site-advertisement {
					    width: 65%;
					}
					<?php if ( empty( $options['header_ads_image_1'] ) ): ?>
						.site-branding {
						    text-align: left;
						}
					<?php endif ?>
					<?php if ( empty( $options['header_ads_image_2'] ) ): ?>
						.site-branding {
						    text-align: right;
						}
					<?php endif ?>
				}

			<?php endif ?>

			<?php if ( $options['header_wrapper_enable'] ): ?>
				#masthead .wrapper{
					width: 96%;
				}
				#masthead.wrapper{
					width: 90%;
				}
			<?php endif ?>

			/*end header style*/

			/*tag style*/
			<?php if ( !empty( $options['tag_label_bg_color'] ) ): ?>
				#magazine_palace_pro_tag_section h2{
					background-color: <?php echo esc_attr( $options['tag_label_bg_color'] ) ?>;
				}
				#magazine_palace_pro_tag_section h2:after{
					border-left: 12px solid <?php echo esc_attr( $options['tag_label_bg_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['tag_label_text_color'] ) ): ?>
				#magazine_palace_pro_tag_section h2{
					color: <?php echo esc_attr( $options['tag_label_text_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['tag_row_bg_color'] ) ): ?>
				#magazine_palace_pro_tag_section .popular-tag-wrapper{
					background-color: <?php echo esc_attr( $options['tag_row_bg_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['tag_text_color'] ) ): ?>
				#magazine_palace_pro_tag_section ul li a{
					color: <?php echo esc_attr( $options['tag_text_color'] ) ?>;
				}
			<?php endif ?>
			/*end tag style*/

			/*breaking news*/
			<?php if ( !$options['breakingnews_featured_image_enable'] ): ?>
				.marquee-content ul{
					padding-top: 14px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['breakingnews_label_bg_color'] ) ): ?>
				#magazine_palace_pro_breakingnews_section .news-title{
					background-color: <?php echo esc_attr( $options['breakingnews_label_bg_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['breakingnews_label_text_color'] ) ): ?>
				#magazine_palace_pro_breakingnews_section .news-title{
					color: <?php echo esc_attr( $options['breakingnews_label_text_color'] ) ?>;
				}

				#magazine_palace_pro_breakingnews_section .bubble svg{
					fill: <?php echo esc_attr( $options['breakingnews_label_text_color'] ) ?>;
				}

				#magazine_palace_pro_breakingnews_section .bubble div{
					border: 3px solid <?php echo esc_attr( $options['breakingnews_label_text_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['breakingnews_row_bg_color'] ) ): ?>
				.breaking-news-post{
					background-color: <?php echo esc_attr( $options['breakingnews_row_bg_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['breakingnews_text_color'] ) ): ?>
				.breaking-news-post .entry-title a{
					color: <?php echo esc_attr( $options['breakingnews_text_color'] ) ?>;
				}
			<?php endif ?>

			/*end breaking news*/

			/*two section*/
			<?php if ( !empty( $options['two_section_container_color'] ) ): ?>
				#magazine_palace_pro_two_section_section .wrapper{
					background-color: <?php echo esc_attr( $options['two_section_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['two_section_section_title_bg_color'] ) ): ?>
				#magazine_palace_pro_two_section_section .section-title{
					background-color: <?php echo esc_attr( $options['two_section_section_title_bg_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['two_section_section_title_color'] ) ): ?>
				#magazine_palace_pro_two_section_section .section-title{
					color: <?php echo esc_attr( $options['two_section_section_title_color'] ) ?>;
				}
				.second-design #magazine_palace_pro_two_section_section .section-title:after{
					background-color: <?php echo esc_attr( $options['two_section_section_title_color'] ) ?>;
				}
				 
			<?php endif ?>

			<?php if ( !empty( $options['two_section_top_padding'] ) ): ?>
				#magazine_palace_pro_two_section_section .wrapper{
					padding-top: <?php echo esc_attr( $options['two_section_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['two_section_bottom_padding'] ) ): ?>
				#magazine_palace_pro_two_section_section .wrapper{
					padding-bottom: <?php echo esc_attr( $options['two_section_bottom_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['two_section_right_padding'] ) ): ?>
				#magazine_palace_pro_two_section_section .wrapper{
					padding-right: <?php echo esc_attr( $options['two_section_right_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['two_section_left_padding'] ) ): ?>
				#magazine_palace_pro_two_section_section .wrapper{
					padding-left: <?php echo esc_attr( $options['two_section_left_padding'] ) ?>px;
				}
			<?php endif ?>
			/*end two section*/

			/*multi post section*/
			<?php if ( !empty( $options['multi_post_container_color'] ) ): ?>
				#magazine_palace_pro_multi_post_section .wrapper{
					background-color: <?php echo esc_attr( $options['multi_post_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['multi_post_section_title_bg_color'] ) ): ?>
				#magazine_palace_pro_multi_post_section .section-title{
					background-color: <?php echo esc_attr( $options['multi_post_section_title_bg_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['multi_post_section_title_color'] ) ): ?>
				#magazine_palace_pro_multi_post_section .section-title{
					color: <?php echo esc_attr( $options['multi_post_section_title_color'] ) ?>;
				}

				.second-design #magazine_palace_pro_multi_post_section .section-title:after{
					background-color: <?php echo esc_attr( $options['multi_post_section_title_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['multi_post_post_container_color'] ) ): ?>
				#magazine_palace_pro_multi_post_section .magazine_palace_pro_two_col_section-wrapper .entry-container{
					background-color: <?php echo esc_attr( $options['multi_post_post_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['multi_post_post_text_color'] ) ): ?>
				#magazine_palace_pro_multi_post_section .magazine_palace_pro_two_col_section-wrapper .posted-on a,
				#magazine_palace_pro_multi_post_section .magazine_palace_pro_two_col_section-wrapper .min-read,
				#magazine_palace_pro_multi_post_section .entry-meta > span:not(:first-child):before,
				#magazine_palace_pro_multi_post_section .magazine_palace_pro_two_col_section-wrapper .entry-title a{
					color: <?php echo esc_attr( $options['multi_post_post_text_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['multi_post_top_padding'] ) ): ?>
				#magazine_palace_pro_multi_post_section .wrapper{
					padding-top: <?php echo esc_attr( $options['multi_post_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['multi_post_bottom_padding'] ) ): ?>
				#magazine_palace_pro_multi_post_section .wrapper{
					padding-bottom: <?php echo esc_attr( $options['multi_post_bottom_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['multi_post_right_padding'] ) ): ?>
				#magazine_palace_pro_multi_post_section .wrapper{
					padding-right: <?php echo esc_attr( $options['multi_post_right_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['multi_post_left_padding'] ) ): ?>
				#magazine_palace_pro_multi_post_section .wrapper{
					padding-left: <?php echo esc_attr( $options['multi_post_left_padding'] ) ?>px;
				}
			<?php endif ?>
			/*end multi post section*/

			/*post carousel section*/
			<?php if ( !empty( $options['post_carousel_container_color'] ) ): ?>
				#magazine_palace_pro_post_carousel_section .wrapper{
					background-color: <?php echo esc_attr( $options['post_carousel_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['post_carousel_section_title_bg_color'] ) ): ?>
				#magazine_palace_pro_post_carousel_section .section-title{
					background-color: <?php echo esc_attr( $options['post_carousel_section_title_bg_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['post_carousel_section_title_color'] ) ): ?>
				#magazine_palace_pro_post_carousel_section .section-title{
					color: <?php echo esc_attr( $options['post_carousel_section_title_color'] ) ?>;
				}

				.second-design #magazine_palace_pro_post_carousel_section .section-title:after{
					background-color: <?php echo esc_attr( $options['post_carousel_section_title_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['post_carousel_post_container_color'] ) ): ?>
				#magazine_palace_pro_post_carousel_section article .entry-container{
					background-color: <?php echo esc_attr( $options['post_carousel_post_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['post_carousel_post_text_color'] ) ): ?>
				#magazine_palace_pro_post_carousel_section article .posted-on a,
				#magazine_palace_pro_post_carousel_section article .min-read,
				#magazine_palace_pro_post_carousel_section .entry-meta > span:not(:first-child):before,
				#magazine_palace_pro_post_carousel_section article .entry-title a{
					color: <?php echo esc_attr( $options['post_carousel_post_text_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['post_carousel_top_padding'] ) ): ?>
				#magazine_palace_pro_post_carousel_section .wrapper{
					padding-top: <?php echo esc_attr( $options['post_carousel_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['post_carousel_bottom_padding'] ) ): ?>
				#magazine_palace_pro_post_carousel_section .wrapper{
					padding-bottom: <?php echo esc_attr( $options['post_carousel_bottom_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['post_carousel_right_padding'] ) ): ?>
				#magazine_palace_pro_post_carousel_section .wrapper{
					padding-right: <?php echo esc_attr( $options['post_carousel_right_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['post_carousel_left_padding'] ) ): ?>
				#magazine_palace_pro_post_carousel_section .wrapper{
					padding-left: <?php echo esc_attr( $options['post_carousel_left_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['post_carousel_post_container_padding'] ) ): ?>
				 #magazine_palace_pro_post_carousel_section .entry-container{
					padding: <?php echo esc_attr( $options['post_carousel_post_container_padding'] ) ?>px;
				}
			<?php endif ?>
			/*end post carousel section*/

			/*have missed section*/
			<?php if ( !empty( $options['have_missed_container_color'] ) ): ?>
				#magazine_palace_pro_have_missed_section .wrapper{
					background-color: <?php echo esc_attr( $options['have_missed_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['have_missed_section_title_bg_color'] ) ): ?>
				#magazine_palace_pro_have_missed_section .section-title{
					background-color: <?php echo esc_attr( $options['have_missed_section_title_bg_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['have_missed_section_title_color'] ) ): ?>
				#magazine_palace_pro_have_missed_section .section-title{
					color: <?php echo esc_attr( $options['have_missed_section_title_color'] ) ?>;
				}
				.second-design #magazine_palace_pro_have_missed_section .section-title:after{
					background-color: <?php echo esc_attr( $options['have_missed_section_title_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['have_missed_post_container_color'] ) ): ?>
				#magazine_palace_pro_have_missed_section article .entry-container{
					background-color: <?php echo esc_attr( $options['have_missed_post_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['have_missed_post_text_color'] ) ): ?>
				#magazine_palace_pro_have_missed_section article .posted-on a,
				#magazine_palace_pro_have_missed_section article .min-read,
				#magazine_palace_pro_have_missed_section .entry-meta > span:not(:first-child):before,
				#magazine_palace_pro_have_missed_section article .entry-title a{
					color: <?php echo esc_attr( $options['have_missed_post_text_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['have_missed_top_padding'] ) ): ?>
				#magazine_palace_pro_have_missed_section .wrapper{
					padding-top: <?php echo esc_attr( $options['have_missed_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['have_missed_bottom_padding'] ) ): ?>
				#magazine_palace_pro_have_missed_section .wrapper{
					padding-bottom: <?php echo esc_attr( $options['have_missed_bottom_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['have_missed_right_padding'] ) ): ?>
				#magazine_palace_pro_have_missed_section .wrapper{
					padding-right: <?php echo esc_attr( $options['have_missed_right_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['have_missed_left_padding'] ) ): ?>
				#magazine_palace_pro_have_missed_section .wrapper{
					padding-left: <?php echo esc_attr( $options['have_missed_left_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['have_missed_container_padding'] ) ): ?>
				 #magazine_palace_pro_have_missed_section .entry-container{
					padding: <?php echo esc_attr( $options['have_missed_container_padding'] ) ?>px;
				}
			<?php endif ?>
			/*end have missed section*/

			/*featured post section*/
			<?php if ( !empty( $options['featured_post_container_color'] ) ): ?>
				#magazine_palace_pro_featured_post_section .wrapper{
					background-color: <?php echo esc_attr( $options['featured_post_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['featured_post_section_title_bg_color'] ) ): ?>
				#magazine_palace_pro_featured_post_section .section-title{
					background-color: <?php echo esc_attr( $options['featured_post_section_title_bg_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['featured_post_section_title_color'] ) ): ?>
				#magazine_palace_pro_featured_post_section .section-title{
					color: <?php echo esc_attr( $options['featured_post_section_title_color'] ) ?>;
				}

				.second-design #magazine_palace_pro_featured_post_section .section-title:after{
					background-color: <?php echo esc_attr( $options['featured_post_section_title_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['featured_post_post_container_color'] ) ): ?>
				#magazine_palace_pro_featured_post_section article .entry-container{
					background-color: <?php echo esc_attr( $options['featured_post_post_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['featured_post_post_text_color'] ) ): ?>
				#magazine_palace_pro_featured_post_section article .posted-on a,
				#magazine_palace_pro_featured_post_section article .min-read,
				#magazine_palace_pro_featured_post_section .entry-meta > span:not(:first-child):before,
				#magazine_palace_pro_featured_post_section article .entry-title a{
					color: <?php echo esc_attr( $options['featured_post_post_text_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['featured_post_top_padding'] ) ): ?>
				#magazine_palace_pro_featured_post_section .wrapper{
					padding-top: <?php echo esc_attr( $options['featured_post_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['featured_post_bottom_padding'] ) ): ?>
				#magazine_palace_pro_featured_post_section .wrapper{
					padding-bottom: <?php echo esc_attr( $options['featured_post_bottom_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['featured_post_right_padding'] ) ): ?>
				#magazine_palace_pro_featured_post_section .wrapper{
					padding-right: <?php echo esc_attr( $options['featured_post_right_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['featured_post_left_padding'] ) ): ?>
				#magazine_palace_pro_featured_post_section .wrapper{
					padding-left: <?php echo esc_attr( $options['featured_post_left_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['featured_post_container_padding'] ) ): ?>
				 #magazine_palace_pro_featured_post_section .entry-container{
					padding: <?php echo esc_attr( $options['featured_post_container_padding'] ) ?>px;
				}
			<?php endif ?>
			/*end featured post section*/

			/*main slider*/

			<?php if ( !$options['main_slider_section_margin_top_enable'] ): ?>
				 #magazine_palace_pro_main_slider_section.home-section{
					margin-top: 0px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['main_slider_overlay_color'] ) ): ?>
				 #magazine_palace_pro_main_slider_section .overlay{
					background-color: <?php echo esc_attr( $options['main_slider_overlay_color'] ) ?>;
				}
			<?php endif ?>


			/*end main slider*/

			/*featured category*/
			<?php if ( !empty( $options['featured_category_btn_bg_color'] ) ): ?>
				 #magazine_palace_pro_featured_category_section .entry-title a{
					background-color: <?php echo esc_attr( $options['featured_category_btn_bg_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['featured_category_btn_text_color'] ) ): ?>
				 #magazine_palace_pro_featured_category_section .entry-title a{
					color: <?php echo esc_attr( $options['featured_category_btn_text_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['featured_category_top_padding'] ) ): ?>
				#magazine_palace_pro_featured_category_section .wrapper{
					padding-top: <?php echo esc_attr( $options['featured_category_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['featured_category_bottom_padding'] ) ): ?>
				#magazine_palace_pro_featured_category_section .wrapper{
					padding-bottom: <?php echo esc_attr( $options['featured_category_bottom_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['featured_category_right_padding'] ) ): ?>
				#magazine_palace_pro_featured_category_section .wrapper{
					padding-right: <?php echo esc_attr( $options['featured_category_right_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['featured_category_left_padding'] ) ): ?>
				#magazine_palace_pro_featured_category_section .wrapper{
					padding-left: <?php echo esc_attr( $options['featured_category_left_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['featured_category_container_bg_color'] ) ): ?>
				#magazine_palace_pro_featured_category_section .wrapper{
					background-color: <?php echo esc_attr( $options['featured_category_container_bg_color'] ) ?>;
				}
			<?php endif ?>

			/*end featured category*/

			/*blog slider section*/
			<?php if ( !empty( $options['blog_slider_container_color'] ) ): ?>
				#magazine_palace_pro_blog_slider_section .wrapper{
					background-color: <?php echo esc_attr( $options['blog_slider_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['blog_slider_post_container_color'] ) ): ?>
				#magazine_palace_pro_blog_slider_section article .entry-container{
					background-color: <?php echo esc_attr( $options['blog_slider_post_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['blog_slider_post_text_color'] ) ): ?>
				#magazine_palace_pro_blog_slider_section article .entry-title a{
					color: <?php echo esc_attr( $options['blog_slider_post_text_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['blog_slider_top_padding'] ) ): ?>
				#magazine_palace_pro_blog_slider_section .wrapper{
					padding-top: <?php echo esc_attr( $options['blog_slider_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['blog_slider_bottom_padding'] ) ): ?>
				#magazine_palace_pro_blog_slider_section .wrapper{
					padding-bottom: <?php echo esc_attr( $options['blog_slider_bottom_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['blog_slider_right_padding'] ) ): ?>
				#magazine_palace_pro_blog_slider_section .wrapper{
					padding-right: <?php echo esc_attr( $options['blog_slider_right_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['blog_slider_left_padding'] ) ): ?>
				#magazine_palace_pro_blog_slider_section .wrapper{
					padding-left: <?php echo esc_attr( $options['blog_slider_left_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['blog_slider_post_container_padding'] ) ): ?>
				 #magazine_palace_pro_blog_slider_section .entry-container{
					padding: <?php echo esc_attr( $options['blog_slider_post_container_padding'] ) ?>px;
				}
			<?php endif ?>
			/*end blog slider section*/

			/*post grid section*/
			<?php if ( !empty( $options['post_grid_container_color'] ) ): ?>
				#magazine_palace_pro_post_grid_section{
					background-color: <?php echo esc_attr( $options['post_grid_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['post_grid_section_title_bg_color'] ) ): ?>
				#magazine_palace_pro_post_grid_section .section-title{
					background-color: <?php echo esc_attr( $options['post_grid_section_title_bg_color'] ) ?>;
				}

				
			<?php endif ?>
			<?php if ( !empty( $options['post_grid_section_title_color'] ) ): ?>
				#magazine_palace_pro_post_grid_section .section-title{
					color: <?php echo esc_attr( $options['post_grid_section_title_color'] ) ?>;
				}
				.second-design #magazine_palace_pro_post_grid_section .section-title:after{
					background-color: <?php echo esc_attr( $options['post_grid_section_title_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['post_grid_post_container_color'] ) ): ?>
				#magazine_palace_pro_post_grid_section article .entry-container{
					background-color: <?php echo esc_attr( $options['post_grid_post_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['post_grid_post_text_color'] ) ): ?>
				#magazine_palace_pro_post_grid_section article .posted-on a,
				#magazine_palace_pro_post_grid_section article .min-read,
				#magazine_palace_pro_post_grid_section .entry-meta > span:not(:first-child):before,
				#magazine_palace_pro_post_grid_section article .entry-title a{
					color: <?php echo esc_attr( $options['post_grid_post_text_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['post_grid_top_padding'] ) ): ?>
				#magazine_palace_pro_post_grid_section{
					padding-top: <?php echo esc_attr( $options['post_grid_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['post_grid_bottom_padding'] ) ): ?>
				#magazine_palace_pro_post_grid_section{
					padding-bottom: <?php echo esc_attr( $options['post_grid_bottom_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['post_grid_right_padding'] ) ): ?>
				#magazine_palace_pro_post_grid_section{
					padding-right: <?php echo esc_attr( $options['post_grid_right_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['post_grid_left_padding'] ) ): ?>
				#magazine_palace_pro_post_grid_section{
					padding-left: <?php echo esc_attr( $options['post_grid_left_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['post_grid_container_padding'] ) ): ?>
				 #magazine_palace_pro_post_grid_section .entry-container{
					padding: <?php echo esc_attr( $options['post_grid_container_padding'] ) ?>px;
				}
			<?php endif ?>
			/*end post grid section*/

			/*banner post section*/
			<?php if ( !empty( $options['banner_post_container_color'] ) ): ?>
				#magazine_palace_pro_banner_post_section{
					background-color: <?php echo esc_attr( $options['banner_post_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['banner_post_section_title_bg_color'] ) ): ?>
				#magazine_palace_pro_banner_post_section .section-title{
					background-color: <?php echo esc_attr( $options['banner_post_section_title_bg_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['banner_post_section_title_color'] ) ): ?>
				#magazine_palace_pro_banner_post_section .section-title{
					color: <?php echo esc_attr( $options['banner_post_section_title_color'] ) ?>;
				}

				.second-design #magazine_palace_pro_banner_post_section .section-title:after{
					background-color: <?php echo esc_attr( $options['banner_post_section_title_color'] ) ?>;
				}
			<?php endif ?>
	
			<?php if ( !empty( $options['banner_post_top_padding'] ) ): ?>
				#magazine_palace_pro_banner_post_section{
					padding-top: <?php echo esc_attr( $options['banner_post_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['banner_post_bottom_padding'] ) ): ?>
				#magazine_palace_pro_banner_post_section{
					padding-bottom: <?php echo esc_attr( $options['banner_post_bottom_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['banner_post_right_padding'] ) ): ?>
				#magazine_palace_pro_banner_post_section{
					padding-right: <?php echo esc_attr( $options['banner_post_right_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['banner_post_left_padding'] ) ): ?>
				#magazine_palace_pro_banner_post_section{
					padding-left: <?php echo esc_attr( $options['banner_post_left_padding'] ) ?>px;
				}
			<?php endif ?>
			/*end banner post section*/


			/*sport post section*/
			<?php if ( !empty( $options['sport_post_container_color'] ) ): ?>
				#magazine_palace_pro_sport_post_section{
					background-color: <?php echo esc_attr( $options['sport_post_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['sport_post_section_title_bg_color'] ) ): ?>
				#magazine_palace_pro_sport_post_section .section-title{
					background-color: <?php echo esc_attr( $options['sport_post_section_title_bg_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['sport_post_section_title_color'] ) ): ?>
				#magazine_palace_pro_sport_post_section .section-title{
					color: <?php echo esc_attr( $options['sport_post_section_title_color'] ) ?>;
				}

				.second-design #magazine_palace_pro_sport_post_section .section-title:after{
					background-color: <?php echo esc_attr( $options['sport_post_section_title_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['sport_post_post_container_color'] ) ): ?>
				#magazine_palace_pro_sport_post_section article .entry-container.color{
					background-color: <?php echo esc_attr( $options['sport_post_post_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['sport_post_post_text_color'] ) ): ?>
				#magazine_palace_pro_sport_post_section article .entry-container.color .posted-on a,
				#magazine_palace_pro_sport_post_section article .entry-container.color .min-read,
				#magazine_palace_pro_sport_post_section .entry-meta > span:not(:first-child):before,
				#magazine_palace_pro_sport_post_section article .entry-container.color .entry-title a{
					color: <?php echo esc_attr( $options['sport_post_post_text_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['sport_post_top_padding'] ) ): ?>
				#magazine_palace_pro_sport_post_section{
					padding-top: <?php echo esc_attr( $options['sport_post_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['sport_post_bottom_padding'] ) ): ?>
				#magazine_palace_pro_sport_post_section{
					padding-bottom: <?php echo esc_attr( $options['sport_post_bottom_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['sport_post_right_padding'] ) ): ?>
				#magazine_palace_pro_sport_post_section{
					padding-right: <?php echo esc_attr( $options['sport_post_right_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['sport_post_left_padding'] ) ): ?>
				#magazine_palace_pro_sport_post_section{
					padding-left: <?php echo esc_attr( $options['sport_post_left_padding'] ) ?>px;
				}
			<?php endif ?>
			/*end sport post section*/

			/*featured Slider section*/
			<?php if ( !empty( $options['featured_slider_container_color'] ) ): ?>
				#magazine_palace_pro_featured_slider_section{
					background-color: <?php echo esc_attr( $options['featured_slider_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['featured_slider_section_title_bg_color'] ) ): ?>
				#magazine_palace_pro_featured_slider_section .section-title{
					background-color: <?php echo esc_attr( $options['featured_slider_section_title_bg_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['featured_slider_section_title_color'] ) ): ?>
				#magazine_palace_pro_featured_slider_section .section-title{
					color: <?php echo esc_attr( $options['featured_slider_section_title_color'] ) ?>;
				}

				.second-design #magazine_palace_pro_featured_slider_section .section-title:after{
					background-color: <?php echo esc_attr( $options['featured_slider_section_title_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['featured_slider_top_padding'] ) ): ?>
				#magazine_palace_pro_featured_slider_section{
					padding-top: <?php echo esc_attr( $options['featured_slider_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['featured_slider_bottom_padding'] ) ): ?>
				#magazine_palace_pro_featured_slider_section{
					padding-bottom: <?php echo esc_attr( $options['featured_slider_bottom_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['featured_slider_right_padding'] ) ): ?>
				#magazine_palace_pro_featured_slider_section{
					padding-right: <?php echo esc_attr( $options['featured_slider_right_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['featured_slider_left_padding'] ) ): ?>
				#magazine_palace_pro_featured_slider_section{
					padding-left: <?php echo esc_attr( $options['featured_slider_left_padding'] ) ?>px;
				}
			<?php endif ?>
			/*end featured Slider section*/

			/*three col slider section*/
			<?php if ( !empty( $options['three_col_slider_container_color'] ) ): ?>
				#magazine_palace_pro_three_col_slider_section{
					background-color: <?php echo esc_attr( $options['three_col_slider_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['three_col_slider_section_title_bg_color'] ) ): ?>
				#magazine_palace_pro_three_col_slider_section .section-title{
					background-color: <?php echo esc_attr( $options['three_col_slider_section_title_bg_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['three_col_slider_section_title_color'] ) ): ?>
				#magazine_palace_pro_three_col_slider_section .section-title{
					color: <?php echo esc_attr( $options['three_col_slider_section_title_color'] ) ?>;
				}

				.second-design #magazine_palace_pro_three_col_slider_section .section-title:after{
					background-color: <?php echo esc_attr( $options['three_col_slider_section_title_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['three_col_slider_post_container_color'] ) ): ?>
				.dark-version #magazine_palace_pro_three_col_slider_section article .entry-container,
				#magazine_palace_pro_three_col_slider_section article .entry-container{
					background-color: <?php echo esc_attr( $options['three_col_slider_post_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['three_col_slider_post_text_color'] ) ): ?>
				#magazine_palace_pro_three_col_slider_section article .posted-on a,
				#magazine_palace_pro_three_col_slider_section article .min-read,
				#magazine_palace_pro_three_col_slider_section .entry-meta > span:not(:first-child):before,
				#magazine_palace_pro_three_col_slider_section article .entry-title a{
					color: <?php echo esc_attr( $options['three_col_slider_post_text_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['three_col_slider_top_padding'] ) ): ?>
				#magazine_palace_pro_three_col_slider_section{
					padding-top: <?php echo esc_attr( $options['three_col_slider_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['three_col_slider_bottom_padding'] ) ): ?>
				#magazine_palace_pro_three_col_slider_section{
					padding-bottom: <?php echo esc_attr( $options['three_col_slider_bottom_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['three_col_slider_right_padding'] ) ): ?>
				#magazine_palace_pro_three_col_slider_section{
					padding-right: <?php echo esc_attr( $options['three_col_slider_right_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['three_col_slider_left_padding'] ) ): ?>
				#magazine_palace_pro_three_col_slider_section{
					padding-left: <?php echo esc_attr( $options['three_col_slider_left_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['three_col_slider_container_padding'] ) ): ?>
				 #magazine_palace_pro_three_col_slider_section .entry-container{
					padding: <?php echo esc_attr( $options['three_col_slider_container_padding'] ) ?>px;
				}
			<?php endif ?>
			/*end three col slider section*/

			/*two slider section*/
			<?php if ( !empty( $options['two_col_container_color'] ) ): ?>
				#magazine_palace_pro_two_col_section{
					background-color: <?php echo esc_attr( $options['two_col_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['two_col_section_title_bg_color'] ) ): ?>
				#magazine_palace_pro_two_col_section .section-title{
					background-color: <?php echo esc_attr( $options['two_col_section_title_bg_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['two_col_section_title_color'] ) ): ?>
				#magazine_palace_pro_two_col_section .section-title{
					color: <?php echo esc_attr( $options['two_col_section_title_color'] ) ?>;
				}

				.second-design #magazine_palace_pro_two_col_section .section-title:after{
					background-color: <?php echo esc_attr( $options['two_col_section_title_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['two_col_post_container_color'] ) ): ?>
				#magazine_palace_pro_two_col_section article .entry-container{
					background-color: <?php echo esc_attr( $options['two_col_post_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['two_col_post_text_color'] ) ): ?>
				#magazine_palace_pro_two_col_section article .posted-on a,
				#magazine_palace_pro_two_col_section article .min-read,
				#magazine_palace_pro_two_col_section .entry-meta > span:not(:first-child):before,
				#magazine_palace_pro_two_col_section article .entry-title a{
					color: <?php echo esc_attr( $options['two_col_post_text_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['two_col_top_padding'] ) ): ?>
				#magazine_palace_pro_two_col_section{
					padding-top: <?php echo esc_attr( $options['two_col_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['two_col_bottom_padding'] ) ): ?>
				#magazine_palace_pro_two_col_section{
					padding-bottom: <?php echo esc_attr( $options['two_col_bottom_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['two_col_right_padding'] ) ): ?>
				#magazine_palace_pro_two_col_section{
					padding-right: <?php echo esc_attr( $options['two_col_right_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['two_col_left_padding'] ) ): ?>
				#magazine_palace_pro_two_col_section{
					padding-left: <?php echo esc_attr( $options['two_col_left_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['two_col_container_padding'] ) ): ?>
				 #magazine_palace_pro_two_col_section .entry-container{
					padding: <?php echo esc_attr( $options['two_col_container_padding'] ) ?>px;
				}
			<?php endif ?>
			/*end two slider section*/

			/*latest post section*/
			<?php if ( !empty( $options['latest_post_container_color'] ) ): ?>
				#magazine_palace_pro_latest_post_section{
					background-color: <?php echo esc_attr( $options['latest_post_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['latest_post_section_title_bg_color'] ) ): ?>
				#magazine_palace_pro_latest_post_section .section-title{
					background-color: <?php echo esc_attr( $options['latest_post_section_title_bg_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['latest_post_section_title_color'] ) ): ?>
				#magazine_palace_pro_latest_post_section .section-title{
					color: <?php echo esc_attr( $options['latest_post_section_title_color'] ) ?>;
				}

				.second-design #magazine_palace_pro_latest_post_section .section-title:after{
					background-color: <?php echo esc_attr( $options['latest_post_section_title_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['latest_post_post_container_color'] ) ): ?>
				#magazine_palace_pro_latest_post_section article .entry-container{
					background-color: <?php echo esc_attr( $options['latest_post_post_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['latest_post_post_text_color'] ) ): ?>
				#magazine_palace_pro_latest_post_section article .posted-on a,
				#magazine_palace_pro_latest_post_section article .min-read,
				#magazine_palace_pro_latest_post_section .entry-meta > span:not(:first-child):before,
				#magazine_palace_pro_latest_post_section article .entry-content p,
				#magazine_palace_pro_latest_post_section article .entry-title a{
					color: <?php echo esc_attr( $options['latest_post_post_text_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['latest_post_btn_text_color'] ) ): ?>
				#magazine_palace_pro_latest_post_section article .btn{
					color: <?php echo esc_attr( $options['latest_post_btn_text_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['latest_post_btn_border_color'] ) ): ?>
				#magazine_palace_pro_latest_post_section article .btn{
					border: 1px solid <?php echo esc_attr( $options['latest_post_btn_border_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['latest_post_top_padding'] ) ): ?>
				#magazine_palace_pro_latest_post_section{
					padding-top: <?php echo esc_attr( $options['latest_post_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['latest_post_bottom_padding'] ) ): ?>
				#magazine_palace_pro_latest_post_section{
					padding-bottom: <?php echo esc_attr( $options['latest_post_bottom_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['latest_post_right_padding'] ) ): ?>
				#magazine_palace_pro_latest_post_section{
					padding-right: <?php echo esc_attr( $options['latest_post_right_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['latest_post_left_padding'] ) ): ?>
				#magazine_palace_pro_latest_post_section{
					padding-left: <?php echo esc_attr( $options['latest_post_left_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['latest_post_container_padding'] ) ): ?>
				 #magazine_palace_pro_latest_post_section .entry-container{
					padding: <?php echo esc_attr( $options['latest_post_container_padding'] ) ?>px;
				}
			<?php endif ?>
			/*end latest post section*/

			/* single post/page */
			<?php if ( !empty( $options['single_post_container_color'] ) ): ?>
				.single #inner-content-wrapper,
				.page #inner-content-wrapper{
					background-color: <?php echo esc_attr( $options['single_post_container_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['single_post_related_container_color'] ) ): ?>
				.single #inner-content-wrapper #related-post{
					background-color: <?php echo esc_attr( $options['single_post_related_container_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['single_post_entry_container_color'] ) ): ?>
				.single #inner-content-wrapper .entry-container{
					background-color: <?php echo esc_attr( $options['single_post_entry_container_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['single_post_comment_container_color'] ) ): ?>
				.single #inner-content-wrapper #comments{
					background-color: <?php echo esc_attr( $options['single_post_comment_container_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['single_post_top_padding'] ) ): ?>
				.page #inner-content-wrapper,
				.single #inner-content-wrapper{
					padding-top: <?php echo esc_attr( $options['single_post_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['single_post_bottom_padding'] ) ): ?>
				.page #inner-content-wrapper,
				.single #inner-content-wrapper{
					padding-bottom: <?php echo esc_attr( $options['single_post_bottom_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['single_post_right_padding'] ) ): ?>
				.page #inner-content-wrapper,
				.single #inner-content-wrapper{
					padding-right: <?php echo esc_attr( $options['single_post_right_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['single_post_left_padding'] ) ): ?>
				.page #inner-content-wrapper,
				.single #inner-content-wrapper{
					padding-left: <?php echo esc_attr( $options['single_post_left_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['single_post_related_container_padding'] ) ): ?>
				 .single #inner-content-wrapper #related-post{
					padding: <?php echo esc_attr( $options['single_post_related_container_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['single_post_comment_container_padding'] ) ): ?>
				 .single #inner-content-wrapper #comments{
					padding: <?php echo esc_attr( $options['single_post_comment_container_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['single_post_entry_container_padding'] ) ): ?>
				 .single #inner-content-wrapper .entry-container.post-content{
					padding: <?php echo esc_attr( $options['single_post_entry_container_padding'] ) ?>px;
				}
			<?php endif ?>

			/*end single post/page*/

			/*archive page*/
			<?php if ( !empty( $options['archive_container_color'] ) ): ?>
				#inner-content-wrapper.archive{
					background-color: <?php echo esc_attr( $options['archive_container_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['archive_post_cotainer_color'] ) ): ?>
				#inner-content-wrapper.archive .entry-container{
					background-color: <?php echo esc_attr( $options['archive_post_cotainer_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['archive_top_padding'] ) ): ?>
				#inner-content-wrapper.archive{
					padding-top: <?php echo esc_attr( $options['archive_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['archive_bottom_padding'] ) ): ?>
				#inner-content-wrapper.archive{
					padding-bottom: <?php echo esc_attr( $options['archive_bottom_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['archive_right_padding'] ) ): ?>
				#inner-content-wrapper.archive{
					padding-right: <?php echo esc_attr( $options['archive_right_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['archive_left_padding'] ) ): ?>
				#inner-content-wrapper.archive{
					padding-left: <?php echo esc_attr( $options['archive_left_padding'] ) ?>px;
				}
			<?php endif ?>


			/*end archive page*/

			/*widget*/
			<?php if ( !empty( $options['widget_panel_container_color'] ) ): ?>
				#secondary.inner-pages, #right-sidebar{
					background-color: <?php echo esc_attr( $options['widget_panel_container_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['widget_container_color'] ) ): ?>
				#secondary.inner-pages .widget, #right-sidebar .widget,
				#secondary.inner-pages .widget_trending_post .slick-prev:after,
				#right-sidebar .widget_trending_post .slick-prev:after{
					background-color: <?php echo esc_attr( $options['widget_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['widget_top_padding'] ) ): ?>
				#secondary.inner-pages, #right-sidebar{
					padding-top: <?php echo esc_attr( $options['widget_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['widget_bottom_padding'] ) ): ?>
				#secondary.inner-pages, #right-sidebar{
					padding-bottom: <?php echo esc_attr( $options['widget_bottom_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['widget_right_padding'] ) ): ?>
				#secondary.inner-pages, #right-sidebar{
					padding-right: <?php echo esc_attr( $options['widget_right_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['widget_left_padding'] ) ): ?>
				#secondary.inner-pages, #right-sidebar{
					padding-left: <?php echo esc_attr( $options['widget_left_padding'] ) ?>px;
				}
			<?php endif ?>
			<?php if ( !empty( $options['widget_container_padding'] ) ): ?>
				#secondary.inner-pages .widget, #right-sidebar .widget{
					padding: <?php echo esc_attr( $options['widget_container_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['widget_text_color'] ) ): ?>
				#secondary.inner-pages .wp-block-latest-comments__comment-meta,
				#secondary.inner-pages .entry-meta > span, 
				#secondary.inner-pages p .about-us-post .entry-title, 
				#secondary.inner-pages p, 
				#secondary.inner-pages a, 
				#secondary.inner-pages .widget h2, 
				#secondary.inner-pages .widget ul li a, 
				#secondary.inner-pages .widget .wp-block-search__label, 
				#right-sidebar .widget ul li a, 
				#right-sidebar .widget .wp-block-search__label, 
				#right-sidebar .widget h2, 
				#right-sidebar a, 
				#right-sidebar p, 
				#right-sidebar p .about-us-post .entry-title, 
				#right-sidebar.inner-pages .wp-block-latest-comments__comment-meta, 
				#right-sidebar.inner-pages .entry-meta > span{
					color: <?php echo esc_attr( $options['widget_text_color'] ) ?>;
				}

				.second-design .widget-title:after{
					background-color: <?php echo esc_attr( $options['widget_text_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['widget_post_content_container_color'] ) ): ?>
				#secondary.inner-pages .widget ul li .entry-container,  
				#right-sidebar .widget ul li .entry-container{
					background-color: <?php echo esc_attr( $options['widget_post_content_container_color'] ) ?>;
				}
			<?php endif ?>

			#secondary.inner-pages a:hover, #secondary.inner-pages a:focus,
			#secondary.inner-pages .widget ul li a:hover, #secondary.inner-pages .widget ul li a:focus,
			#right-sidebar.inner-pages .widget ul li a:hover, #right-sidebar.inner-pages .widget ul li a:focus,
			#right-sidebar.inner-pages a:hover, #right-sidebar.inner-pages a:focus {
			    color: #e6432a;
			}

			/*end widget*/

			/*homepage*/
			<?php if ( !empty( $options['homepage_section_gap'] ) ): ?>
				.home-section{
					margin: <?php echo esc_attr( $options['homepage_section_gap'] ) ?>px 0px;
				}

				#main-post-wrapper main div:first-child,
				#main-post-wrapper main div:last-child{
					margin-top: 0px;
				}
				@media screen and (min-width: 1025px){
					.right-sidebar #primary, .left-sidebar #primary {
					    padding-right: <?php echo esc_attr( $options['homepage_section_gap'] ) ?>px;
					}
				}

			<?php endif ?>

			<?php if ( !empty( $options['homepage_main_container_color'] ) ): ?>
				.home #main-post-wrapper{
					background-color: <?php echo esc_attr( $options['homepage_main_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['homepage_main_container_top_padding'] ) ): ?>
				.home #main-post-wrapper{
					padding-top: <?php echo esc_attr( $options['homepage_main_container_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['homepage_main_container_bottom_padding'] ) ): ?>
				.home #main-post-wrapper{
					padding-bottom: <?php echo esc_attr( $options['homepage_main_container_bottom_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['homepage_main_container_right_padding'] ) ): ?>
				.home #main-post-wrapper{
					padding-right: <?php echo esc_attr( $options['homepage_main_container_right_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['homepage_main_container_left_padding'] ) ): ?>
				.home #main-post-wrapper{
					padding-left: <?php echo esc_attr( $options['homepage_main_container_left_padding'] ) ?>px;
				}
			<?php endif ?>
			/*end homepage*/

			/*slider news*/
			<?php if ( !empty( $options['slider_news_container_color'] ) ): ?>
				.home #content-wrapper{
					background-color: <?php echo esc_attr( $options['slider_news_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['slider_news_slider_container_color'] ) ): ?>
				.home #content-wrapper #magazine_palace_pro_slider_news_section{
					background-color: <?php echo esc_attr( $options['slider_news_slider_container_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['slider_news_slider_padding'] ) ): ?>
				.home #content-wrapper #magazine_palace_pro_slider_news_section{
					padding: <?php echo esc_attr( $options['slider_news_slider_padding'] ) ?>px;
				}
			<?php endif ?>
			<?php if ( !empty( $options['slider_news_section_title_bg_color'] ) ): ?>
				.home #content-wrapper .section-title,
				.home #content-wrapper .widget-title{
					background-color: <?php echo esc_attr( $options['slider_news_section_title_bg_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['slider_news_section_title_color'] ) ): ?>
				.home #content-wrapper .widget-title,
				.home #content-wrapper .section-title{
					color: <?php echo esc_attr( $options['slider_news_section_title_color'] ) ?>;
				}

				.home.second-design #content-wrapper .widget-title, .home.second-design #content-wrapper .section-title:after{
					background-color: <?php echo esc_attr( $options['slider_news_section_title_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['slider_news_top_padding'] ) ): ?>
				.home #content-wrapper{
					padding-top: <?php echo esc_attr( $options['slider_news_top_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['slider_news_bottom_padding'] ) ): ?>
				.home #content-wrapper{
					padding-bottom: <?php echo esc_attr( $options['slider_news_bottom_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['slider_news_right_padding'] ) ): ?>
				.home #content-wrapper{
					padding-right: <?php echo esc_attr( $options['slider_news_right_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['slider_news_left_padding'] ) ): ?>
				.home #content-wrapper{
					padding-left: <?php echo esc_attr( $options['slider_news_left_padding'] ) ?>px;
				}
			<?php endif ?>

			<?php if ( !empty( $options['slider_news_slider_padding'] ) ): ?>
				.home #content-wrapper #magazine_palace_pro_slider_news_section{
					padding: <?php echo esc_attr( $options['slider_news_slider_padding'] ) ?>px;
				}
			<?php endif ?>

			/*layou*/
			<?php if ( !empty( $options['wrapper_width'] ) ): ?>
				#masthead.wrapper,
				.wrapper{
					width: <?php echo esc_attr( $options['wrapper_width'] ) ?>%;
				}
			<?php endif ?>

			<?php if ( !empty( $options['wrapper_max_width'] ) ): ?>
				.wrapper{
					max-width: <?php echo esc_attr( $options['wrapper_max_width'] ) ?>px;
				}
			<?php endif ?>
			/*end layout*/

			/*end slider news*/

			<?php if ( !empty( $options['footer_bg_color'] ) ): ?>
				#colophon{
					background-color: <?php echo esc_attr( $options['footer_bg_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['footer_text_color'] ) ): ?>
				#colophon ul li a, #colophon .textwidget p, .site-info span, #colophon .site-info a{
					color: <?php echo esc_attr( $options['footer_text_color'] ) ?>;
				}
			<?php endif ?>

			<?php if ( !empty( $options['footer_separator_color'] ) ): ?>
				.footer-widgets-area .wrapper{
					border-bottom: 1px solid <?php echo esc_attr( $options['footer_separator_color'] ) ?>;
				}
			<?php endif ?>
			<?php if ( !empty( $options['footer_top_margin'] ) ): ?>
				#colophon{
					margin-top: <?php echo esc_attr( $options['footer_top_margin'] ) ?>px;
				}
			<?php endif ?>
		</style>
		
<?php }

add_action( 'wp_head', 'magazine_palace_pro_style' );