<?php
/**
* instagram Section options
*
* @package Theme Palace
* @subpackage Magazine Palace Pro
* @since Magazine Palace Pro 1.0.0
*/

// Add instagram section
$wp_customize->add_section( 'magazine_palace_pro_instagram_section', array(
	'title'             => esc_html__( 'Instagram','magazine-palace-pro' ),
	'description'       => esc_html__( 'Instagram Section options.', 'magazine-palace-pro' ),
	'panel'             => 'magazine_palace_pro_front_page_panel',
	) );

// instagram content enable control and setting
$wp_customize->add_setting( 'magazine_palace_pro_theme_options[instagram_section_enable]', array(
	'default'			=> 	$options['instagram_section_enable'],
	'sanitize_callback' => 'magazine_palace_pro_sanitize_switch_control',
	) );

$wp_customize->add_control( new Magazine_Palace_Pro_Switch_Control( $wp_customize, 'magazine_palace_pro_theme_options[instagram_section_enable]', array(
	'label'             => esc_html__( 'Instagram Section Enable', 'magazine-palace-pro' ),
	'section'           => 'magazine_palace_pro_instagram_section',
	'on_off_label' 		=> magazine_palace_pro_switch_options(),
	) ) );

if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'magazine_palace_pro_theme_options[instagram_section_enable]',
        array(
            'selector'            => '#magazine_palace_pro_instagram_section .tooltiptext',
            'settings'            => 'magazine_palace_pro_theme_options[instagram_section_enable]',
        )
    );
}

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[instagram_section_wrapper_enable]', array(
    'default'           =>  $options['instagram_section_wrapper_enable'],
    'sanitize_callback' => 'magazine_palace_pro_sanitize_switch_control',
    ) );

$wp_customize->add_control( new Magazine_Palace_Pro_Switch_Control( $wp_customize, 'magazine_palace_pro_theme_options[instagram_section_wrapper_enable]', array(
    'label'             => esc_html__( 'Instagram Section Wrapper Enable', 'magazine-palace-pro' ),
    'section'           => 'magazine_palace_pro_instagram_section',
    'active_callback'   => 'magazine_palace_pro_is_instagram_section_enable',
    'on_off_label'      => magazine_palace_pro_switch_options(),
    ) ) );
