<?php
/**
* Slider News Section options
*
* @package Theme Palace
* @subpackage Magazine Palace Pro
* @since Magazine Palace Pro 1.0.0
*/

// Add Slider News section
$wp_customize->add_section( 'magazine_palace_pro_slider_news_section_style', array(
	'title'             => esc_html__( 'Slider News Style','magazine-palace-pro' ),
	'description'       => esc_html__( 'Slider News Style Section options.', 'magazine-palace-pro' ),
	'panel'             => 'magazine_palace_pro_front_page_panel',
	) );

$wp_customize->add_setting( 
    'magazine_palace_pro_theme_options_slider_news_setting_style_style',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control( 
    new Magazine_Palace_Pro_Customize_Control_Section_Style( 
    $wp_customize,
    'magazine_palace_pro_theme_options_slider_news_setting_style_style',
        array(
            'section'       => 'magazine_palace_pro_slider_news_section_style',
            'choices'  => array(

                'setting'    => array(
                    'name' => esc_html__( 'Setting', 'magazine-palace-pro' ),
                    'section_id' => 'magazine_palace_pro_slider_news_section',
                ),
                
                'style'    => array(
                    'name' => esc_html__( 'Style', 'magazine-palace-pro' ),
                    'section_id' => 'magazine_palace_pro_slider_news_section_style',
                ),
            ),
        )
    )
);

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[slider_news_container_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_pro_theme_options[slider_news_container_color]', array(
    'label'    => esc_html( 'Main Container Background Color', 'magazine-palace-pro' ),
    'section'  => 'magazine_palace_pro_slider_news_section_style',
) ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[slider_news_slider_container_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_pro_theme_options[slider_news_slider_container_color]', array(
    'label'    => esc_html( 'Slider Container Background Color', 'magazine-palace-pro' ),
    'section'  => 'magazine_palace_pro_slider_news_section_style',
) ) );


$wp_customize->add_setting( 'magazine_palace_pro_theme_options[slider_news_section_title_bg_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_pro_theme_options[slider_news_section_title_bg_color]', array(
    'label'    => esc_html( 'Section Title Background Color', 'magazine-palace-pro' ),
    'section'  => 'magazine_palace_pro_slider_news_section_style',
) ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[slider_news_section_title_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_pro_theme_options[slider_news_section_title_color]', array(
    'label'    => esc_html( 'Section Title Color', 'magazine-palace-pro' ),
    'section'  => 'magazine_palace_pro_slider_news_section_style',
) ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[slider_news_top_padding]', array(
    'sanitize_callback' => 'magazine_palace_pro_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'magazine_palace_pro_theme_options[slider_news_top_padding]', array(
    'label'             => esc_html__( 'Section Top Padding', 'magazine-palace-pro' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'magazine-palace-pro' ),
    'section'           => 'magazine_palace_pro_slider_news_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[slider_news_bottom_padding]', array(
    'sanitize_callback' => 'magazine_palace_pro_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'magazine_palace_pro_theme_options[slider_news_bottom_padding]', array(
    'label'             => esc_html__( 'Section Bottom Padding', 'magazine-palace-pro' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'magazine-palace-pro' ),
    'section'           => 'magazine_palace_pro_slider_news_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[slider_news_left_padding]', array(
    'sanitize_callback' => 'magazine_palace_pro_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'magazine_palace_pro_theme_options[slider_news_left_padding]', array(
    'label'             => esc_html__( 'Section Left Padding', 'magazine-palace-pro' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'magazine-palace-pro' ),
    'section'           => 'magazine_palace_pro_slider_news_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[slider_news_right_padding]', array(
    'sanitize_callback' => 'magazine_palace_pro_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'magazine_palace_pro_theme_options[slider_news_right_padding]', array(
    'label'             => esc_html__( 'Section Right Padding', 'magazine-palace-pro' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'magazine-palace-pro' ),
    'section'           => 'magazine_palace_pro_slider_news_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[slider_news_slider_padding]', array(
    'sanitize_callback' => 'magazine_palace_pro_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'magazine_palace_pro_theme_options[slider_news_slider_padding]', array(
    'label'             => esc_html__( 'Slider Container Padding', 'magazine-palace-pro' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'magazine-palace-pro' ),
    'section'           => 'magazine_palace_pro_slider_news_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

