<?php
/**
* Tag Section options
*
* @package Theme Palace
* @subpackage Magazine Palace Pro
* @since Magazine Palace Pro 1.0.0
*/

// Add Tag section
$wp_customize->add_section( 'magazine_palace_pro_tag_section_style', array(
	'title'             => esc_html__( 'Tag Style','magazine-palace-pro' ),
	'description'       => esc_html__( 'Tag Style Section options.', 'magazine-palace-pro' ),
	'panel'             => 'magazine_palace_pro_front_page_panel',
	) );

$wp_customize->add_setting( 
    'magazine_palace_pro_theme_options_tag_setting_style_style',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control( 
    new Magazine_Palace_Pro_Customize_Control_Section_Style( 
    $wp_customize,
    'magazine_palace_pro_theme_options_tag_setting_style_style',
        array(
            'section'       => 'magazine_palace_pro_tag_section_style',
            'choices'  => array(

                'setting'    => array(
                    'name' => esc_html__( 'Setting', 'magazine-palace-pro' ),
                    'section_id' => 'magazine_palace_pro_tag_section',
                ),
                
                'style'    => array(
                    'name' => esc_html__( 'Style', 'magazine-palace-pro' ),
                    'section_id' => 'magazine_palace_pro_tag_section_style',
                ),
            ),
        )
    )
);

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[tag_label_bg_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_pro_theme_options[tag_label_bg_color]', array(
    'label'    => esc_html( 'Tabel Label Background Color', 'magazine-palace-pro' ),
    'section'  => 'magazine_palace_pro_tag_section_style',
) ) );



$wp_customize->add_setting( 'magazine_palace_pro_theme_options[tag_label_text_color]', array(
    'sanitize_callback' => 'sanitize_hex_color',
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_pro_theme_options[tag_label_text_color]', array(
    'label'    => esc_html( 'Tag Label Text Color', 'magazine-palace-pro' ),
    'section'  => 'magazine_palace_pro_tag_section_style',
) ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[tag_row_bg_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_pro_theme_options[tag_row_bg_color]', array(
    'label'    => esc_html( 'Tag Row Background Color', 'magazine-palace-pro' ),
    'section'  => 'magazine_palace_pro_tag_section_style',
) ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[tag_text_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_pro_theme_options[tag_text_color]', array(
    'label'    => esc_html( 'Tag Text Color', 'magazine-palace-pro' ),
    'section'  => 'magazine_palace_pro_tag_section_style',
) ) );

