<?php
/**
* Tag Section options
*
* @package Theme Palace
* @subpackage Magazine Palace Pro
* @since Magazine Palace Pro 1.0.0
*/

// Add Tag section
$wp_customize->add_section( 'magazine_palace_pro_tag_section', array(
	'title'             => esc_html__( 'Tag','magazine-palace-pro' ),
	'description'       => esc_html__( 'Tag Section options.', 'magazine-palace-pro' ),
	'panel'             => 'magazine_palace_pro_front_page_panel',
	) );

// Tag content enable control and setting
$wp_customize->add_setting( 'magazine_palace_pro_theme_options[tag_section_enable]', array(
	'default'			=> 	$options['tag_section_enable'],
	'sanitize_callback' => 'magazine_palace_pro_sanitize_switch_control',
	) );

$wp_customize->add_control( new Magazine_Palace_Pro_Switch_Control( $wp_customize, 'magazine_palace_pro_theme_options[tag_section_enable]', array(
	'label'             => esc_html__( 'Tag Section Enable', 'magazine-palace-pro' ),
	'section'           => 'magazine_palace_pro_tag_section',
	'on_off_label' 		=> magazine_palace_pro_switch_options(),
	) ) );

if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'magazine_palace_pro_theme_options[tag_section_enable]',
        array(
            'selector'            => '#magazine_palace_pro_tag_section .tooltiptext',
            'settings'            => 'magazine_palace_pro_theme_options[tag_section_enable]',
        )
    );
}

$wp_customize->add_setting( 
    'magazine_palace_pro_theme_options_tag_setting_style',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control( 
    new Magazine_Palace_Pro_Customize_Control_Section_Style( 
    $wp_customize,
    'magazine_palace_pro_theme_options_tag_setting_style',
        array(
            'section'       => 'magazine_palace_pro_tag_section',
            'active_callback' 	=> 'magazine_palace_pro_is_tag_section_enable',
            'choices'  => array(

                'setting'    => array(
                    'name' => esc_html__( 'Setting', 'magazine-palace-pro' ),
                    'section_id' => 'magazine_palace_pro_tag_section',
                ),
                
                'style'    => array(
                    'name' => esc_html__( 'Style', 'magazine-palace-pro' ),
                    'section_id' => 'magazine_palace_pro_tag_section_style',
                ),
            ),
        )
    )
);

// tag title setting and control
$wp_customize->add_setting( 'magazine_palace_pro_theme_options[tag_title]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['tag_title'],
	'transport'			=> 'postMessage',
	) );

$wp_customize->add_control( 'magazine_palace_pro_theme_options[tag_title]', array(
	'label'           	=> esc_html__( 'Title', 'magazine-palace-pro' ),
	'section'        	=> 'magazine_palace_pro_tag_section',
	'active_callback' 	=> 'magazine_palace_pro_is_tag_section_enable',
	'type'				=> 'text',
	) );
