<?php
/**
* header Section options
*
* @package Theme Palace
* @subpackage Magazine Palace Pro
* @since Magazine Palace Pro 1.0.0
*/

// Add header section
$wp_customize->add_section( 'magazine_palace_pro_header_section', array(
	'title'             => esc_html__( 'Header','magazine-palace-pro' ),
	'description'       => esc_html__( 'Header Section options.', 'magazine-palace-pro' ),
	'panel'             => 'magazine_palace_pro_theme_options_panel',
) );

$wp_customize->add_setting( 
    'magazine_palace_pro_theme_options_header_setting_style',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control( 
    new Magazine_Palace_Pro_Customize_Control_Section_Style( 
    $wp_customize,
    'magazine_palace_pro_theme_options_header_setting_style',
        array(
            'section'       => 'magazine_palace_pro_header_section',
            'choices'  => array(

                'setting'    => array(
                    'name' => esc_html__( 'Setting', 'magazine-palace-pro' ),
                    'section_id' => 'magazine_palace_pro_header_section',
                ),
                
                'style'    => array(
                    'name' => esc_html__( 'Style', 'magazine-palace-pro' ),
                    'section_id' => 'magazine_palace_pro_header_section_style',
                ),
            ),
        )
    )
);

$wp_customize->add_setting(
	'magazine_palace_pro_theme_options[header_design]',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default'			=> 	$options['header_design'],
	)
);

$wp_customize->add_control(
	'magazine_palace_pro_theme_options[header_design]',
	array(
		'section'		=> 'magazine_palace_pro_header_section',
		'label'			=> esc_html__( 'Select Header Design', 'magazine-palace-pro' ),
	)
);

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[header_wrapper_enable]', array(
	'default'			=> 	$options['header_wrapper_enable'],
	'sanitize_callback' => 'magazine_palace_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Magazine_Palace_Pro_Switch_Control( $wp_customize, 'magazine_palace_pro_theme_options[header_wrapper_enable]', array(
	'label'             => esc_html__( 'Header Wrapper Enable', 'magazine-palace-pro' ),
	'section'           => 'magazine_palace_pro_header_section',
	'on_off_label' 		=> magazine_palace_pro_switch_options(),
) ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[header_home_icon_enable]', array(
	'default'			=> 	$options['header_home_icon_enable'],
	'sanitize_callback' => 'magazine_palace_pro_sanitize_switch_control',
	'transport'		=> 'postMessage'
) );

$wp_customize->add_control( new Magazine_Palace_Pro_Switch_Control( $wp_customize, 'magazine_palace_pro_theme_options[header_home_icon_enable]', array(
	'label'             => esc_html__( 'Home Icon Enable', 'magazine-palace-pro' ),
	'section'           => 'magazine_palace_pro_header_section',
	'active_callback' 	=> 'magazine_palace_pro_is_header_one_enable',
	'on_off_label' 		=> magazine_palace_pro_switch_options(),
) ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[header_search_enable]', array(
	'default'			=> 	$options['header_search_enable'],
	'sanitize_callback' => 'magazine_palace_pro_sanitize_switch_control',
	'transport'		=> 'postMessage'
) );

$wp_customize->add_control( new Magazine_Palace_Pro_Switch_Control( $wp_customize, 'magazine_palace_pro_theme_options[header_search_enable]', array(
	'label'             => esc_html__( 'Search Form Enable', 'magazine-palace-pro' ),
	'section'           => 'magazine_palace_pro_header_section',
	'on_off_label' 		=> magazine_palace_pro_switch_options(),
) ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'magazine_palace_pro_sanitize_switch_control',
	'default'           => $options['menu_sticky'],
) );

$wp_customize->add_control( new Magazine_Palace_Pro_Switch_Control( $wp_customize, 'magazine_palace_pro_theme_options[menu_sticky]', array(
	'label'             => esc_html__( 'Make Menu Sticky', 'magazine-palace-pro' ),
	'section'           => 'magazine_palace_pro_header_section',
	'on_off_label' 		=> magazine_palace_pro_switch_options(),
) ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[transparent_menu]', array(
	'sanitize_callback' => 'magazine_palace_pro_sanitize_switch_control',
	'default'           => $options['transparent_menu'],
) );

$wp_customize->add_control( new Magazine_Palace_Pro_Switch_Control( $wp_customize, 'magazine_palace_pro_theme_options[transparent_menu]', array(
	'label'             => esc_html__( 'Make Menu Transparent', 'magazine-palace-pro' ),
	'section'           => 'magazine_palace_pro_header_section',
	'on_off_label' 		=> magazine_palace_pro_switch_options(),
	'active_callback'   => 'magazine_palace_pro_is_header_three_enable',
		
) ) );

$wp_customize->add_setting('magazine_palace_pro_theme_options[header_bg_image]',
	array(
		'sanitize_callback' => 'magazine_palace_pro_sanitize_image',
		'transport'		=> 'postMessage'
	)
);

$wp_customize->add_control(new WP_Customize_Image_Control( $wp_customize,
	'magazine_palace_pro_theme_options[header_bg_image]',
		array(
			'section'			=> 'magazine_palace_pro_header_section',
			'label'				=> esc_html__( 'Header Bg Image ', 'magazine-palace-pro' ),
			'active_callback'   => 'magazine_palace_pro_is_header_one_enable',
		)
	)
);


for ( $i = 1; $i <= 2; $i++ ) :

	// magazine_palace_pro_Customize_Horizontal_Line
    $wp_customize->add_setting('magazine_palace_pro_theme_options[header_separator'. $i .']',
		array(
			'sanitize_callback'      => 'magazine_palace_pro_sanitize_html',
		)
	);

    $wp_customize->add_control(new Magazine_Palace_pro_Customize_Horizontal_Line($wp_customize,
		'magazine_palace_pro_theme_options[header_separator'. $i .']',
			array(
				'active_callback'       => 'magazine_palace_pro_is_header_one_enable',
				'type'                  =>'hr',
				'section'               =>'magazine_palace_pro_header_section',
			)
		)
	);

        
    // About image setting
    $wp_customize->add_setting('magazine_palace_pro_theme_options[header_ads_image_'.$i.']',
		array(
			'sanitize_callback' => 'magazine_palace_pro_sanitize_image',
		)
	);

    $wp_customize->add_control(new WP_Customize_Image_Control( $wp_customize,
		'magazine_palace_pro_theme_options[header_ads_image_'.$i.']',
			array(
				'section'			=> 'magazine_palace_pro_header_section',
				'label'				=> esc_html__( 'Image ', 'magazine-palace-pro' ).$i,
				'active_callback'   => 'magazine_palace_pro_is_header_one_enable',
			)
		)
	);

            
    $wp_customize->add_setting( 'magazine_palace_pro_theme_options[header_ads_url_'.$i.']',
        array(
            'sanitize_callback' => 'esc_url_raw',
        )
    );

    $wp_customize->add_control( 'magazine_palace_pro_theme_options[header_ads_url_'.$i.']',
        array(
			'label'             => sprintf(esc_html__( 'Ads URL %d', 'magazine-palace-pro'), $i ),
            'section'        	=> 'magazine_palace_pro_header_section',
            'active_callback'   => 'magazine_palace_pro_is_header_one_enable',
            'type'				=> 'url',
        ) 
    );


endfor;

