<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage Magazine Palace Pro
 * @since Magazine Palace Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'magazine_palace_pro_menu', array(
	'title'             => esc_html__('Header Menu','magazine-palace-pro'),
	'description'       => esc_html__( 'Header Menu options.', 'magazine-palace-pro' ),
	'panel'             => 'nav_menus',
) );

// Menu sticky setting and control.


// search enable setting and control.
$wp_customize->add_setting( 'magazine_palace_pro_theme_options[nav_search_enable]', array(
	'sanitize_callback' => 'magazine_palace_pro_sanitize_switch_control',
	'default'           => $options['nav_search_enable'],
) );

$wp_customize->add_control( new Magazine_Palace_Pro_Switch_Control( $wp_customize, 'magazine_palace_pro_theme_options[nav_search_enable]', array(
	'label'             => esc_html__( 'Enable search', 'magazine-palace-pro' ),
	'section'           => 'magazine_palace_pro_menu',
	'on_off_label' 		=> magazine_palace_pro_switch_options(),
) ) );