<?php
/**
 * page_banner options
 *
 * @package Theme Palace
 * @subpackage Magazine Palace Pro
 * @since Magazine Palace Pro 1.0.0
 */

// Add page_banner section
$wp_customize->add_section( 'magazine_palace_pro_page_banner_section', array(
	'title'             => esc_html__( 'Page banner','magazine-palace-pro' ),
	'description'       => esc_html__( 'Page banner section options.', 'magazine-palace-pro' ),
	'panel'             => 'magazine_palace_pro_theme_options_panel',
) );


// page_banner category setting and control.
$wp_customize->add_setting( 'magazine_palace_pro_theme_options[page_banner_wrapper_enable]', array(
	'default'           => $options['page_banner_wrapper_enable'],
	'sanitize_callback' => 'magazine_palace_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Magazine_Palace_Pro_Switch_Control( $wp_customize, 'magazine_palace_pro_theme_options[page_banner_wrapper_enable]', array(
	'label'             => esc_html__( 'Enable Wrapper', 'magazine-palace-pro' ),
	'section'           => 'magazine_palace_pro_page_banner_section',
	'on_off_label' 		=> magazine_palace_pro_hide_options(),
) ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[page_banner_header_image_enable]', array(
	'default'           => $options['page_banner_header_image_enable'],
	'sanitize_callback' => 'magazine_palace_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Magazine_Palace_Pro_Switch_Control( $wp_customize, 'magazine_palace_pro_theme_options[page_banner_header_image_enable]', array(
	'label'             => esc_html__( 'Enable Header Image Page/Post', 'magazine-palace-pro' ),
	'section'           => 'magazine_palace_pro_page_banner_section',
	'on_off_label' 		=> magazine_palace_pro_hide_options(),
) ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[page_banner_breadcrumb_enable]', array(
	'default'           => $options['page_banner_breadcrumb_enable'],
	'sanitize_callback' => 'magazine_palace_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Magazine_Palace_Pro_Switch_Control( $wp_customize, 'magazine_palace_pro_theme_options[page_banner_breadcrumb_enable]', array(
	'label'             => esc_html__( 'Enable Breadcrumb', 'magazine-palace-pro' ),
	'section'           => 'magazine_palace_pro_page_banner_section',
	'on_off_label' 		=> magazine_palace_pro_hide_options(),
) ) );
