<?php
/**
* footer Section options
*
* @package Theme Palace
* @subpackage Magazine Palace Pro
* @since Magazine Palace Pro 1.0.0
*/

// Add footer section
$wp_customize->add_section( 'magazine_palace_pro_footer_section_style', array(
	'title'             => esc_html__( 'Footer Style','magazine-palace-pro' ),
	'description'       => esc_html__( 'Footer Style Section options.', 'magazine-palace-pro' ),
	'panel'             => 'magazine_palace_pro_theme_options_panel',
	) );


$wp_customize->add_setting( 
    'magazine_palace_pro_theme_options_footer_setting_style_style',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control( 
    new Magazine_Palace_Pro_Customize_Control_Section_Style( 
    $wp_customize,
    'magazine_palace_pro_theme_options_footer_setting_style_style',
        array(
            'section'       => 'magazine_palace_pro_footer_section_style',
            'choices'  => array(

                'setting'    => array(
                    'name' => esc_html__( 'Setting', 'magazine-palace-pro' ),
                    'section_id' => 'magazine_palace_pro_section_footer',
                ),
                
                'style'    => array(
                    'name' => esc_html__( 'Style', 'magazine-palace-pro' ),
                    'section_id' => 'magazine_palace_pro_footer_section_style',
                ),
            ),
        )
    )
);

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[footer_bg_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_pro_theme_options[footer_bg_color]', array(
    'label'    => esc_html( 'footer Background Color', 'magazine-palace-pro' ),
    'section'  => 'magazine_palace_pro_footer_section_style',
) ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[footer_text_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_pro_theme_options[footer_text_color]', array(
    'label'    => esc_html( 'footer Text Color', 'magazine-palace-pro' ),
    'section'  => 'magazine_palace_pro_footer_section_style',
) ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[footer_separator_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_pro_theme_options[footer_separator_color]', array(
    'label'    => esc_html( 'footer Separator Color', 'magazine-palace-pro' ),
    'section'  => 'magazine_palace_pro_footer_section_style',
) ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[footer_top_margin]', array(
    'sanitize_callback' => 'magazine_palace_pro_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'magazine_palace_pro_theme_options[footer_top_margin]', array(
    'label'             => esc_html__( 'Footer Top Margin', 'magazine-palace-pro' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'magazine-palace-pro' ),
    'section'           => 'magazine_palace_pro_footer_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
) );


