<?php
/**
* header Section options
*
* @package Theme Palace
* @subpackage Magazine Palace Pro
* @since Magazine Palace Pro 1.0.0
*/

// Add header section
$wp_customize->add_section( 'magazine_palace_pro_header_section_style', array(
	'title'             => esc_html__( 'Header Style','magazine-palace-pro' ),
	'description'       => esc_html__( 'Header Style Section options.', 'magazine-palace-pro' ),
	'panel'             => 'magazine_palace_pro_theme_options_panel',
	) );


$wp_customize->add_setting( 
    'magazine_palace_pro_theme_options_header_setting_style_style',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control( 
    new Magazine_Palace_Pro_Customize_Control_Section_Style( 
    $wp_customize,
    'magazine_palace_pro_theme_options_header_setting_style_style',
        array(
            'section'       => 'magazine_palace_pro_header_section_style',
            'choices'  => array(

                'setting'    => array(
                    'name' => esc_html__( 'Setting', 'magazine-palace-pro' ),
                    'section_id' => 'magazine_palace_pro_header_section',
                ),
                
                'style'    => array(
                    'name' => esc_html__( 'Style', 'magazine-palace-pro' ),
                    'section_id' => 'magazine_palace_pro_header_section_style',
                ),
            ),
        )
    )
);

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[header_overlay_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_pro_theme_options[header_overlay_color]', array(
    'label'    => esc_html( 'Header Overlay Color', 'magazine-palace-pro' ),
    'section'  => 'magazine_palace_pro_header_section_style',
    'active_callback'   => 'magazine_palace_pro_is_header_one_enable',
) ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[header_nav_bg_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_pro_theme_options[header_nav_bg_color]', array(
    'label'    => esc_html( 'Nav Background Color', 'magazine-palace-pro' ),
    'section'  => 'magazine_palace_pro_header_section_style',
) ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[header_icon_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_pro_theme_options[header_icon_color]', array(
    'label'    => esc_html( 'Home Icon Color', 'magazine-palace-pro' ),
    'section'  => 'magazine_palace_pro_header_section_style',
    'active_callback'   => 'magazine_palace_pro_is_header_one_enable',
) ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[header_text_color]', array(
    'sanitize_callback' => 'sanitize_hex_color',
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_pro_theme_options[header_text_color]', array(
    'label'    => esc_html( 'Text Color', 'magazine-palace-pro' ),
    'section'  => 'magazine_palace_pro_header_section_style',
) ) );


$wp_customize->add_setting( 'magazine_palace_pro_theme_options[header_search_bg]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_pro_theme_options[header_search_bg]', array(
    'label'    => esc_html( 'Search Background Color', 'magazine-palace-pro' ),
    'section'  => 'magazine_palace_pro_header_section_style',
    'active_callback'   => 'magazine_palace_pro_is_header_one_enable',
) ) );


$wp_customize->add_setting( 'magazine_palace_pro_theme_options[header_padding]', array(
    'sanitize_callback' => 'magazine_palace_pro_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'magazine_palace_pro_theme_options[header_padding]', array(
    'label'             => esc_html__( 'Header Top Bottom Padding', 'magazine-palace-pro' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'magazine-palace-pro' ),
    'active_callback'   => 'magazine_palace_pro_is_header_one_enable',
    'section'           => 'magazine_palace_pro_header_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[header_margin_button]', array(
    'sanitize_callback' => 'magazine_palace_pro_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'magazine_palace_pro_theme_options[header_margin_button]', array(
    'label'             => esc_html__( 'Header Bottom Margin', 'magazine-palace-pro' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'magazine-palace-pro' ),
    'active_callback'   => 'magazine_palace_pro_is_header_one_enable',
    'section'           => 'magazine_palace_pro_header_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

