<?php
/**
* widget style options
*
* @package Theme Palace
* @subpackage Magazine Palace Pro
* @since Magazine Palace Pro 1.0.0
*/

// Add widget section
$wp_customize->add_section( 'magazine_palace_pro_widget_section_style', array(
    'title'             => esc_html__( 'Widget Style','magazine-palace-pro' ),
    'description'       => esc_html__( 'Widget Style Section options.', 'magazine-palace-pro' ),
    'panel'             => 'magazine_palace_pro_theme_options_panel',
    ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[widget_enable_sticky_homepage]', array(
    'default'           => $options['widget_enable_sticky_homepage'],
    'sanitize_callback' => 'magazine_palace_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Magazine_Palace_Pro_Switch_Control( $wp_customize, 'magazine_palace_pro_theme_options[widget_enable_sticky_homepage]', array(
    'label'             => esc_html__( 'Enable Sticky Sidebar Homepage', 'magazine-palace-pro' ),
    'section'           => 'magazine_palace_pro_widget_section_style',
    'on_off_label'      => magazine_palace_pro_hide_options(),
) ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[widget_enable_sticky]', array(
    'default'           => $options['widget_enable_sticky'],
    'sanitize_callback' => 'magazine_palace_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Magazine_Palace_Pro_Switch_Control( $wp_customize, 'magazine_palace_pro_theme_options[widget_enable_sticky]', array(
    'label'             => esc_html__( 'Enable Sticky Sidebar', 'magazine-palace-pro' ),
    'section'           => 'magazine_palace_pro_widget_section_style',
    'on_off_label'      => magazine_palace_pro_hide_options(),
) ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[widget_panel_container_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_pro_theme_options[widget_panel_container_color]', array(
    'label'    => esc_html( 'Widget Panel Container Color', 'magazine-palace-pro' ),
    'section'  => 'magazine_palace_pro_widget_section_style',
) ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[widget_container_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_pro_theme_options[widget_container_color]', array(
    'label'    => esc_html( 'Widget Container Color', 'magazine-palace-pro' ),
    'section'  => 'magazine_palace_pro_widget_section_style',
) ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[widget_text_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_pro_theme_options[widget_text_color]', array(
    'label'    => esc_html( 'Widget Text Color', 'magazine-palace-pro' ),
    'section'  => 'magazine_palace_pro_widget_section_style',
) ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[widget_post_content_container_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_pro_theme_options[widget_post_content_container_color]', array(
    'label'    => esc_html( 'Widget Post Content Container Color', 'magazine-palace-pro' ),
    'section'  => 'magazine_palace_pro_widget_section_style',
) ) );



$wp_customize->add_setting( 'magazine_palace_pro_theme_options[widget_top_padding]', array(
    'sanitize_callback' => 'magazine_palace_pro_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'magazine_palace_pro_theme_options[widget_top_padding]', array(
    'label'             => esc_html__( 'Panel Top Padding', 'magazine-palace-pro' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'magazine-palace-pro' ),
    'section'           => 'magazine_palace_pro_widget_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[widget_bottom_padding]', array(
    'sanitize_callback' => 'magazine_palace_pro_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'magazine_palace_pro_theme_options[widget_bottom_padding]', array(
    'label'             => esc_html__( 'Panel Bottom Padding', 'magazine-palace-pro' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'magazine-palace-pro' ),
    'section'           => 'magazine_palace_pro_widget_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[widget_left_padding]', array(
    'sanitize_callback' => 'magazine_palace_pro_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'magazine_palace_pro_theme_options[widget_left_padding]', array(
    'label'             => esc_html__( 'Panel Left Padding', 'magazine-palace-pro' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'magazine-palace-pro' ),
    'section'           => 'magazine_palace_pro_widget_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[widget_right_padding]', array(
    'sanitize_callback' => 'magazine_palace_pro_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'magazine_palace_pro_theme_options[widget_right_padding]', array(
    'label'             => esc_html__( 'Panel Right Padding', 'magazine-palace-pro' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'magazine-palace-pro' ),
    'section'           => 'magazine_palace_pro_widget_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[widget_container_padding]', array(
    'sanitize_callback' => 'magazine_palace_pro_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'magazine_palace_pro_theme_options[widget_container_padding]', array(
    'label'             => esc_html__( 'Widget Container Padding', 'magazine-palace-pro' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'magazine-palace-pro' ),
    'section'           => 'magazine_palace_pro_widget_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );
