<?php
/**
* Topbar Section options
*
* @package Theme Palace
* @subpackage Magazine Palace Pro
* @since Magazine Palace Pro 1.0.0
*/

// Add Topbar section
$wp_customize->add_section( 'magazine_palace_pro_topbar_section', array(
	'title'             => esc_html__( 'Topbar','magazine-palace-pro' ),
	'description'       => esc_html__( 'Topbar Section options.', 'magazine-palace-pro' ),
	'panel'             => 'magazine_palace_pro_theme_options_panel',
	) );

// Topbar content enable control and setting
$wp_customize->add_setting( 'magazine_palace_pro_theme_options[topbar_section_enable]', array(
	'default'			=> 	$options['topbar_section_enable'],
	'sanitize_callback' => 'magazine_palace_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Magazine_Palace_Pro_Switch_Control( $wp_customize, 'magazine_palace_pro_theme_options[topbar_section_enable]', array(
	'label'             => esc_html__( 'Topbar Section Enable', 'magazine-palace-pro' ),
	'section'           => 'magazine_palace_pro_topbar_section',
	'on_off_label' 		=> magazine_palace_pro_switch_options(),
) ) );

$wp_customize->add_setting( 
    'magazine_palace_pro_theme_options_topbar_setting_style',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control( 
    new Magazine_Palace_Pro_Customize_Control_Section_Style( 
    $wp_customize,
    'magazine_palace_pro_theme_options_topbar_setting_style',
        array(
            'section'       => 'magazine_palace_pro_topbar_section',
            // 'active_callback'	=> 'magazine-palace_pro_if_'.$section_name.'_enabled',
            'choices'  => array(

                'setting'    => array(
                    'name' => esc_html__( 'Setting', 'magazine-palace-pro' ),
                    'section_id' => 'magazine_palace_pro_topbar_section',
                ),
                
                'style'    => array(
                    'name' => esc_html__( 'Style', 'magazine-palace-pro' ),
                    'section_id' => 'magazine_palace_pro_topbar_section_style',
                ),
            ),
        )
    )
);

$wp_customize->add_setting(
	'magazine_palace_pro_theme_options[topbar_design]',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default'			=> 	$options['topbar_design'],
	)
);

$wp_customize->add_control(
	'magazine_palace_pro_theme_options[topbar_design]',
	array(
		'section'		=> 'magazine_palace_pro_topbar_section',
		'label'			=> esc_html__( 'Select Topbar Design', 'magazine-palace-pro' ),
	)
);

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[topbar_section_wrapper_enable]', array(
	'default'			=> 	$options['topbar_section_wrapper_enable'],
	'sanitize_callback' => 'magazine_palace_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Magazine_Palace_Pro_Switch_Control( $wp_customize, 'magazine_palace_pro_theme_options[topbar_section_wrapper_enable]', array(
	'label'             => esc_html__( 'Topbar Wrapper Enable', 'magazine-palace-pro' ),
	'section'           => 'magazine_palace_pro_topbar_section',
	'on_off_label' 		=> magazine_palace_pro_switch_options(),
) ) );


$wp_customize->add_setting( 'magazine_palace_pro_theme_options[topbar_btn_text]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['topbar_btn_text'],
	'transport'			=> 'postMessage',
	) );

$wp_customize->add_control( 'magazine_palace_pro_theme_options[topbar_btn_text]', array(
	'label'           	=> esc_html__( 'Btn Text', 'magazine-palace-pro' ),
	'section'        	=> 'magazine_palace_pro_topbar_section',
	'active_callback' 	=> 'magazine_palace_pro_is_topbar_two_enable',
	'type'				=> 'text',
) );

 $wp_customize->add_setting( 'magazine_palace_pro_theme_options[topbar_btn_url]',
    array(
        'sanitize_callback' => 'esc_url_raw',
    )
);

$wp_customize->add_control( 'magazine_palace_pro_theme_options[topbar_btn_url]',
    array(
		'label'             => esc_html__( 'Ads URL', 'magazine-palace-pro'),
        'section'        	=> 'magazine_palace_pro_topbar_section',
        'active_callback'   => 'magazine_palace_pro_is_topbar_two_enable',
        'type'				=> 'url',
    ) 
);

$wp_customize->add_setting( 'magazine_palace_pro_theme_options[topbar_date_icon_enable]', array(
	'default'			=> 	$options['topbar_date_icon_enable'],
	'sanitize_callback' => 'magazine_palace_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Magazine_Palace_Pro_Switch_Control( $wp_customize, 'magazine_palace_pro_theme_options[topbar_date_icon_enable]', array(
	'label'             => esc_html__( 'Topbar Date Icon Enable', 'magazine-palace-pro' ),
	'section'           => 'magazine_palace_pro_topbar_section',
	'active_callback' 	=> 'magazine_palace_pro_is_topbar_two_enable',
	'on_off_label' 		=> magazine_palace_pro_switch_options(),
) ) );


