<?php

/**
 * Demo Import.
 *
 * This is the template that includes all the other files for core featured of Theme Palace
 *
 * @package Theme Palace
 * @subpackage Magazine Palace Pro
 * @since Magazine Palace Pro 1.0.0
 * 
 */


function magazine_palace_pro_ctdi_plugin_page_setup( $default_settings ) {
    $default_settings['menu_title']  = esc_html__( 'Theme Palace Demo Import' , 'magazine-palace-pro' );

    return $default_settings;
}
add_filter( 'cp-ctdi/plugin_page_setup', 'magazine_palace_pro_ctdi_plugin_page_setup' );


function magazine_palace_pro_ctdi_import_files() {
    return array(
        array(
            'import_file_name'             => esc_html__( 'First', 'magazine-palace-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/first/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/first/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/first/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/first/screenshot.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'magazine-palace-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/magazine-palace-demo-one',
        ),
        array(
            'import_file_name'             => esc_html__( 'Second', 'magazine-palace-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/second/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/second/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/second/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/second/screenshot.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'magazine-palace-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/magazine-palace-demo-two',
        ),
        array(
            'import_file_name'             => esc_html__( 'Third', 'magazine-palace-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/third/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/third/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/third/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/third/screenshot.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'magazine-palace-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/magazine-palace-demo-third',
        ),
        array(
            'import_file_name'             => esc_html__( 'Fourth', 'magazine-palace-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/fourth/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/fourth/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/fourth/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/fourth/screenshot.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'magazine-palace-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/magazine-palace-demo-fourth',
        ),
        array(
            'import_file_name'             => esc_html__( 'Fifth', 'magazine-palace-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo-data/fifth/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo-data/fifth/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo-data/fifth/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo-data/fifth/screenshot.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'magazine-palace-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/magazine-palace-dark',
        ),       
    );
}

add_filter( 'cp-ctdi/import_files', 'magazine_palace_pro_ctdi_import_files' );



function magazine_palace_pro_ctdi_after_import_setup() {
    // Assign menus to their locations.
    $primary = get_term_by('name', 'Main Menu', 'nav_menu');
    $secondary = get_term_by('name', 'Secondary', 'nav_menu');
    $social = get_term_by('name', 'Social', 'nav_menu');

	set_theme_mod( 'nav_menu_locations', array(
            'primary' => $main_menu->term_id,
            'social' => $social->term_id,
            'secondary' => $secondary->term_id,
        )
    );

     // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Home' );
    $blog_page_id  = get_page_by_title( 'Blog' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );

}
add_action( 'cp-ctdi/after_import', 'magazine_palace_pro_ctdi_after_import_setup' );
