<?php
/**
* Tag section
*
* This is the template for the content of tag section
*
* @package Theme Palace
* @subpackage Magazine Palace Pro
* @since Magazine Palace Pro 1.0.0
*/
if ( ! function_exists( 'magazine_palace_pro_add_instagram_section' ) ) :
/**
* Add instagram section
*
*@since Magazine Palace Pro 1.0.0
*/
function magazine_palace_pro_add_instagram_section() {

    $options = magazine_palace_pro_get_theme_options();
        // Check if breakingnews is enabled on frontpage
        $instagram = apply_filters( 'magazine_palace_pro_section_status', true, 'instagram_section_enable' );

        if ( true !== $instagram ) {
            return false;
        }

  magazine_palace_pro_render_instagram_section();
}
endif;

if ( ! function_exists( 'magazine_palace_pro_render_instagram_section' ) ) :
/**
* Start instagram section
*
* @return string instagram content
* @since Magazine Palace Pro 1.0.0
*
*/
function magazine_palace_pro_render_instagram_section() {
    $options = magazine_palace_pro_get_theme_options(); 
    $instagram_wrapper_class = $options['instagram_section_wrapper_enable'] ? 'wrapper' : '';
    $active_plugins = (array) get_option( 'active_plugins', array() );
    if (!in_array( 'instagram-feed/instagram-feed.php', $active_plugins ) ) {
        return;
    } ?>
      <div id="magazine_palace_pro_instagram_section" class="relative <?php echo $instagram_wrapper_class ?>">        
            <?php echo do_shortcode( '[instagram-feed num=6 cols=6 showfollow=true showbutton=false showheader=false]' ); ?>
      </div>
<?php }
  endif;