<?php
/**
* Latest Post section
*
* This is the template for the content of main_content section
*
* @package Theme Palace
* @subpackage Magazine Palace Pro
* @since Magazine Palace Pro 1.0.0
*/
if ( ! function_exists( 'magazine_palace_pro_add_main_content_section' ) ) :
/**
* Add main_content section
*
*@since Magazine Palace Pro 1.0.0
*/
function magazine_palace_pro_add_main_content_section() {

  magazine_palace_pro_render_main_content_section();
}
endif;

if ( ! function_exists( 'magazine_palace_pro_render_main_content_section' ) ) :
/**
* Start main_content section
*
* @return string main_content content
* @since Magazine Palace Pro 1.0.0
*
*/
function magazine_palace_pro_render_main_content_section() {
  $options = magazine_palace_pro_get_theme_options();
  $home_sticky_class = $options['widget_enable_sticky_homepage'] == true ? 'sticky-sidebar' : '';
  ?>
  <div id="main-post-wrapper" class="wrapper">
    <div id="primary" class="content-area">
      <main id="main" class="site-main" role="main">
        <?php  
          $sorted = array();
          if ( ! empty( $options['homepage_inner_sortable'] ) ) {
            $sorted = explode( ',' , $options['homepage_inner_sortable'] );
          }

          foreach ( $sorted as $section ) {
            $section = str_replace( '_' , '-', $section);
            require get_template_directory() . '/inc/sections/'.$section.'.php';
          }
        ?>
      </main>
    </div><!-- #primary -->

    <?php if(is_active_sidebar('home-right-sidebar')): ?>
      <aside id="right-sidebar" class="widget-area <?php echo esc_attr( $home_sticky_class ) ?>" role="complementary">
        <?php dynamic_sidebar( 'home-right-sidebar' ); ?>
      </aside><!-- #secondary -->
    <?php endif; ?>
  </div><!-- #inner-content-wrapper -->

  <?php }
  endif;