<?php
/**
* Tag section
*
* This is the template for the content of tag section
*
* @package Theme Palace
* @subpackage Magazine Palace Pro
* @since Magazine Palace Pro 1.0.0
*/
if ( ! function_exists( 'magazine_palace_pro_add_tag_section' ) ) :
/**
* Add tag section
*
*@since Magazine Palace Pro 1.0.0
*/
function magazine_palace_pro_add_tag_section() {

    $options = magazine_palace_pro_get_theme_options();
        // Check if breakingnews is enabled on frontpage
        $tag = apply_filters( 'magazine_palace_pro_section_status', true, 'tag_section_enable' );

        if ( true !== $tag ) {
            return false;
        }

  magazine_palace_pro_render_tag_section();
}
endif;

if ( ! function_exists( 'magazine_palace_pro_render_tag_section' ) ) :
/**
* Start tag section
*
* @return string tag content
* @since Magazine Palace Pro 1.0.0
*
*/
function magazine_palace_pro_render_tag_section() {
    $options = magazine_palace_pro_get_theme_options();
?>
<div id="magazine_palace_pro_tag_section" class="relative home-section tag">
    <div class="wrapper">
      <?php if ( is_customize_preview()):
        magazine_palace_pro_section_tooltip( 'tag-class' );
      endif; ?>
        <div class="popular-tag-wrapper">
            <?php if( !empty( $options['tag_title'] ) ): ?>           
                <h2><?php echo esc_html( $options['tag_title'] ); ?></h2>
            <?php endif; ?>
            <div class="popular-tags">
                <ul>
                    <?php 
                        $tags = get_tags();
                        if ( $tags ) :

                           foreach ( $tags as $tag ) :
                               ?>
                           <li><a href="<?php echo esc_url( get_tag_link( $tag->term_id ) ); ?>"><?php echo esc_html( $tag->name ); ?></a></li>

                       <?php endforeach; ?>

                   <?php endif; ?>
                </ul>
            </div>
        </div>
    </div>
</div>
<?php }
  endif;