<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage Magazine Palace Pro
 * @since Magazine Palace Pro 1.0.0
 */
$options = magazine_palace_pro_get_theme_options();
$ids    = get_the_id();
?>
<article>
		<?php if ( has_post_thumbnail() && !$options['single_post_hide_featured_image']  ) : ?>
	<div class="featured-image">
		<img src="<?php the_post_thumbnail_url($size = 'full'); ?>">
		
	</div>
	<?php endif; ?>

	<div class="entry-container post-content">

		<?php if ( !$options['single_post_hide_post_title']	): ?>
			<header class="entry-header">
				<h2 class="entry-title"><?php the_title(); ?></h2>
			</header>
		<?php endif ?>
		
		<div class="entry-meta">
			<?php 
			if ( ! $options['single_post_hide_author'] ) :
				echo magazine_palace_pro_author( get_the_author_meta('ID') );
			endif;
			?>

			<?php if ( ! $options['single_post_hide_date'] ) :
			magazine_palace_pro_posted_on();
			endif; ?>

			<span class="min-read"><?php echo magazine_palace_pro_time_interval(get_the_content()); echo esc_html__(' min to read', 'magazine-palace-pro'); ?></span>
		</div><!-- .entry-meta -->


		<div class="entry-content">
			<?php the_content(); ?>
		</div><!-- .entry-content -->

		<?php if ( !$options['single_post_hide_category'] ): ?>
			<div class="catlist">	
				<span><?php echo __( 'Category:', 'magazine-palace-pro' ) ?></span>
				<span class="cat-links">
					<?php magazine_palace_pro_single_categories(); ?>
				</span><!-- .cat-links -->
			</div>
		<?php endif ?>		

		<?php if ( !$options['single_post_hide_tags'] && ( get_the_tag_list() !== false )  ): ?>
			<div class="taglist">	
				<span><?php echo __( 'Tag: ', 'magazine-palace-pro' ) ?></span><?php magazine_palace_pro_entry_footer();  ?>
			</div>
		<?php endif ?>		

		<?php if ( !empty( get_post_meta( get_the_id(), '_magazine_palace_pro_youtube_video_code' )[0] ) ): ?>
            <iframe width="1000" height="500" src="https://www.youtube.com/embed/<?php echo get_post_meta( get_the_id(), '_magazine_palace_pro_youtube_video_code' )[0] ?>">
            </iframe>
        <?php endif ?>
		
	</div>
</article>
