<?php
/**
 * Topbar design template
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage Magazine Palace Pro
 * @since Magazine Palace Pro 1.0.0
 */

$options = magazine_palace_pro_get_theme_options();
$topbar_wrapper_class = $options['topbar_section_wrapper_enable'] ? 'wrapper' : '';
?>

<div id="top-navigation" class="topbar-two relative <?php echo $topbar_wrapper_class ?>">
    <div class="wrapper">
        <div class="top-container">
            <div class="entry-meta">
                <span class="posted-on">
                    <time ><?php echo date('l, F j, Y'); ?></time>
                </span><!-- .posted-on -->
            </div>
            <div class="live">
                <div class="live-button">
                    <a href="<?php echo esc_url( $options['topbar_btn_url'] ); ?>" class="btn">
                        <?php echo esc_html( $options['topbar_btn_text'] ) ?>
                    </a>
                    <div class="bubble">
                        <div></div>
                        <div></div>
                        <div></div>
                        <div></div>
                        <div></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>